/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 51 "parser.yy"

#include <stdio.h>
#include <fcntl.h>
#include <unistd.h>

#include <fstream>
#include <string>
#include <list>

#ifndef DO_DEBUG
#define DO_DEBUG 0
#endif

#include "YCP.h"
#include "ycp/Scanner.h"
#include "ycp/y2log.h"
#include "ycp/pathsearch.h"
#include "ycp/ExecutionEnvironment.h"

#include "ycp/StaticDeclaration.h"
#include "ycp/YCode.h"
#include "ycp/Type.h"
#include "ycp/YExpression.h"
#include "ycp/YStatement.h"
#include "ycp/YBlock.h"
#include "ycp/SymbolTable.h"
#include "ycp/YSymbolEntry.h"
#include "ycp/Point.h"
#include "ycp/Bytecode.h"

#include "ycp/Parser.h"

// compile with full debug info, enable with YCP_YYDEBUG=1 in run-time env
#define YYDEBUG 0
#define YYINITDEPTH 1000
#define YYMAXDEPTH 50000

// define type of parser values
struct yystype_type {
    YCodePtr c;			// code (for parser level syntax)
    tokenValue v;		// token (for scanner level syntax)
    constTypePtr t;		// type (NULL for error)
    int l;
    std::string com;		// comment before the token
};
#define YYSTYPE yystype_type

// vp_parser is void*
#define p_parser ((Parser *) vp_parser)

#if YYLSP_NEEDED
#warning YYLSP_NEEDED
#endif

#define LINE_NOW (p_parser->m_lineno)
#define FILE_NOW (p_parser->scanner()->filename ())

// our private error function

static void yyerror_with_lineinfo	(Parser *parser, int lineno, const char *s);
static void yywarning_with_lineinfo	(Parser *parser, int lineno, const char *s);
static void yyerror_with_code		(Parser *parser, int lineno, YCodePtr c, constTypePtr t);
static void yyerror_with_name		(Parser *parser, int lineno, const char *s);
static void yyerror_with_file		(Parser *parser, int lineno, const char *s);
static void yyerror_with_tableentry	(Parser *parser, int lineno, const char *s, TableEntry *entry);
static void yywarning_with_tableentry	(Parser *parser, int lineno, TableEntry *entry);
static void yyerror_type_mismatch	(Parser *parser, int lineno, const char *s, constTypePtr expected_type, constTypePtr seen_type);
static void yyerror_assign_const	(Parser *parser, int lineno, const char *s);
static void yyerror_cant_cast		(Parser *parser, int lineno, constTypePtr from, constTypePtr to);
static void yyerror_no_module		(Parser *parser, int lineno, const char *module);

//static void yyerror_decl_mismatch (Parser *parser, declaration_t *decl, const char *seen_type, int lineno);

#define yyerror(locp, text)				yyerror_with_lineinfo (p_parser, -1, text)
#define yywarning(text,lineno)			yywarning_with_lineinfo (p_parser, lineno, text)
#define yyConstAssignError(name, lineno)	yyerror_assign_const (p_parser, lineno, name)
#define yyLerror(text,lineno)			yyerror_with_lineinfo (p_parser, lineno, text)
#define yyCerror(code,type,lineno)		yyerror_with_code (p_parser, lineno, code, type)
#define yyVerror(name,lineno)			yyerror_with_name (p_parser, lineno, name)
#define yyFerror(name,lineno)			yyerror_with_file (p_parser, lineno, name)
#define yyTerror(text,lineno,tentry)		yyerror_with_tableentry (p_parser, lineno, text, tentry)
#define yyTwarning(tentry)			yywarning_with_tableentry (p_parser, 0, tentry)
#define yyTypeMismatch(text,expected,seen,lineno)	yyerror_type_mismatch (p_parser, lineno, text, expected, seen)
#define yyCantCast(from,to,lineno)		yyerror_cant_cast (p_parser, lineno, from, to)
#define yyNoModule(module,lineno)		yyerror_no_module (p_parser, lineno, module)

// attach a new parameter (parm) to a function call (code)
//   if the parameter is 'type symbol', type is passed in parm, symbol in parm1
// returns NULL if success, != NULL (expected type) if wrong parameter type
//  Type::Unspec if bad code (code == NULL), Type::Error if excessive parameter

static constTypePtr attach_parameter (Parser *parser, YCodePtr code, YYSTYPE *parm, YYSTYPE *parm1 = 0);

//! set by function declaration in order to predefine a definitions block return type
static constTypePtr declared_return_type = Type::Unspec;
//! set when a return statement is encountered
static constTypePtr found_return_type = Type::Unspec;
//! begin of a block
//! @param type declared return type
static YBlockPtr start_block (Parser *parser, constTypePtr type);

/*
  COMMENT HANDLING

  The interpreter does not need the comments, not even for error reporting
  (unlike file names and line numbers). However, we need them when translating
  the YCP code to Ruby, via YCode::toXml.

  They are only processed when the environment variable Y2PARSECOMMENTS is set.

  In the grammar rules we move the comments from the scanner tokens
  (YYSTYPE.com) to the parser tree (YCode.setComment),
  via the TOKEN_COMMENT macros.
  Mostly we can put them as commentBefore to the following YCode, but if
  there is none we must use commentAfter of the preceding YCode.
  In order not to lose comments:
  - we must do it for plain tokens like commas, semicolons,
    operators and brackets of any shape
  - watch for assignments to $$.c

  Comments on types are passed in YYSTYPE.com.
 */
static bool parsing_comments();
static void attach_comment(YCodePtr code, const std::string& comment);
static void attach_comment_after(YCodePtr code, const std::string& comment);

// Attaching comments to the YCode tree:
// we attach them to specific YCodes "inside" the rule to preserve their
// location as closely as possible. That may turn out unnecessary, or
// difficult to handle by y2r, so then we would modify these
// macros to ignore the destination and attach to $$ instead.

// attach comment from a terminal to the FOLLOWING YCode
#define TOKEN_COMMENT(source_dollar) \
    attach_comment((&(source_dollar) + 1)->c , source_dollar.com)
// attach comment from a terminal to an arbitrary nonterminal;
// This is needed when the following nonterminal does not have an YCode;
// Example: "type" in "'(' type ')' castable_expression"
// will have TOKEN_COMMENT_TO($1, $4); TOKEN_COMMENT($3);
#define TOKEN_COMMENT_TO(source_dollar, target_dollar) \
    attach_comment(target_dollar.c , source_dollar.com)

// attach comment from a terminal to the resulting YCode
// (used when there is no suitable neighboring ycode inside)
#define RULE_COMMENT(source_dollar) \
  attach_comment((yyval).c , source_dollar.com) // (yyval is $$)

// attach comment from a terminal to the last YCode
// (because the terminal is the last symbol in its rule,
// usually some kind of closing brace)
#define LAST_TOKEN_COMMENT(source_dollar) \
    attach_comment_after((&(source_dollar) - 1)->c, source_dollar.com)

extern "C" {
int yylex (YYSTYPE *, void *);
}

static void i_check_unary_op (YYSTYPE *result, YYSTYPE *e1, const char *op, Parser* parser);
static void i_check_binary_op (YYSTYPE *result, YYSTYPE *e1, const char *op, YYSTYPE *e2, Parser* parser);
static void i_check_compare_op (YYSTYPE *result, YYSTYPE *e1, YECompare::c_op op, YYSTYPE *e2, Parser *parser);
static void i_check_void_assign (YYSTYPE *lhs, YYSTYPE *rhs, Parser *parser);
#define check_unary_op(result,e1,op) i_check_unary_op (result, e1, op, p_parser)
#define check_binary_op(result,e1,op,e2) i_check_binary_op (result, e1, op, e2, p_parser)
#define check_compare_op(result,e1,op,e2) i_check_compare_op (result, e1, op, e2, p_parser)
#define check_void_assign(lhs,rhs) i_check_void_assign (lhs, rhs, p_parser)

// for unary and binary operators
extern StaticDeclaration static_declarations;

/*
 * DO NOT USE static or global variables!
 * They make the parser non-reentrant. You need to put them into class Parser.
 */ 

/*
 * this parser does not have to be reentrant
 */

//! general stack handling
//
typedef struct stack {
    struct stack *down;		//!< next stack element
} stack_t;
//! push element to stack
static void stack_push (stack_t **stack, stack_t *element);
//! pop element to stack
static stack_t *stack_pop (stack_t **stack);

//! stack for blocks

struct blockstack_t : stack_t {
    YBlockPtr theBlock;		//!< pointer to block
    const char *textdomain;	//!< textdomain (if defined)
//    constTypePtr type;		//!< return type of block
    int includeDepth;		//!< block is include file, all definitions go to the outer block
    TableEntry *self;		//!< c_self entry during module parsing
};
static void
_blockstack_push (blockstack_t **blockstackptr, blockstack_t *blockelement)
{
    stack_t **stackptr = (stack_t **)blockstackptr;
    stack_t *stackelement = (stack_t *)blockelement;
    stack_push (stackptr, stackelement);
}
#define blockstack_push(s,e) _blockstack_push(&(s), e)

static blockstack_t *
_blockstack_pop (Parser *parser, blockstack_t **blockstackptr)
{
    parser->m_blockstack_depth--;
    stack_t **stackptr = (stack_t **)blockstackptr;
    stack_t *stackelement = stack_pop (stackptr);
    return (blockstack_t *)stackelement;
}
#define blockstack_pop(s) _blockstack_pop(p_parser, &(s))

#define blockstack_at_toplevel() (p_parser->m_blockstack_depth == 1)


//! stack for switch

struct switchstack_t : stack_t {
    YSSwitchPtr statement;	//!< pointer to switch statement
};
static void
_switchstack_push (switchstack_t **switchstack, stack_t *e)
{
    stack_t **stackptr = (stack_t **)switchstack;
    stack_push (stackptr, e);
}
#define switchstack_push(s,e) _switchstack_push(&(s), e)
static switchstack_t *
_switchstack_pop (switchstack_t **switchstack)
{
    stack_t **stackptr = (stack_t **)switchstack;
    return (switchstack_t *)stack_pop (stackptr);
}
#define switchstack_pop(s) _switchstack_pop(&(s))

static bool in_switch = false;

enum scan_states {
    SCAN_FILE,		//!< a plain file
    SCAN_START_INCLUDE,	//!< before the first token of an include file (see start_block())
    SCAN_INCLUDE,	//!< inside an include file
};

//! stack for scanners
struct scannerstack_t : stack_t {
    Scanner *scanner;
    string filename;
    int linenumber;
    enum scan_states state;
    const char *old_textdomain ;	// the textdomain set before starting the include
};
static void
_scannerstack_push(scannerstack_t **scannerstackptr, stack_t *element)
{
    stack_t **stackptr = (stack_t **)scannerstackptr;
    stack_push (stackptr, element);
}
#define scannerstack_push(s,e) _scannerstack_push(&(s), e)
static scannerstack_t *
_scannerstack_pop(scannerstack_t **scannerstackptr)
{
    stack_t **stackptr = (stack_t **)scannerstackptr;
    return (scannerstack_t *)stack_pop (stackptr);
}
#define scannerstack_pop(s) _scannerstack_pop (&(s))
#define scannerstack_empty() (p_parser->m_scanner_stack == 0)

// mark here if we're parsing a module
static bool inside_module = false;

static int repeat_count = 0;
static int do_while_count = 0;
//----------------------------------------------------------------------------

#line 350 "parser.cc"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Use api.header.include to #include this header
   instead of duplicating it here.  */
#ifndef YY_YY_PARSER_HH_INCLUDED
# define YY_YY_PARSER_HH_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif
/* "%code requires" blocks.  */
#line 387 "parser.yy"

  #include "ycp/Parser.h"

#line 389 "parser.cc"

/* Token kinds.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    YYEMPTY = -2,
    YYEOF = 0,                     /* "end of file"  */
    YYerror = 256,                 /* error  */
    YYUNDEF = 257,                 /* "invalid token"  */
    SCANNER_ERROR = 258,           /* SCANNER_ERROR  */
    END_OF_FILE = 259,             /* END_OF_FILE  */
    EMPTY = 260,                   /* EMPTY  */
    LIST = 261,                    /* LIST  */
    MAP = 262,                     /* MAP  */
    STRUCT = 263,                  /* STRUCT  */
    BLOCK = 264,                   /* BLOCK  */
    DEFINE = 265,                  /* DEFINE  */
    UNDEFINE = 266,                /* UNDEFINE  */
    I18N = 267,                    /* I18N  */
    RETURN = 268,                  /* RETURN  */
    CONTINUE = 269,                /* CONTINUE  */
    BREAK = 270,                   /* BREAK  */
    IF = 271,                      /* IF  */
    DO = 272,                      /* DO  */
    WHILE = 273,                   /* WHILE  */
    REPEAT = 274,                  /* REPEAT  */
    UNTIL = 275,                   /* UNTIL  */
    IS = 276,                      /* IS  */
    ISNIL = 277,                   /* ISNIL  */
    SYMBOL = 278,                  /* SYMBOL  */
    DCSYMBOL = 279,                /* DCSYMBOL  */
    DCQUOTED_BLOCK = 280,          /* DCQUOTED_BLOCK  */
    QUOTED_BLOCK = 281,            /* QUOTED_BLOCK  */
    QUOTED_EXPRESSION = 282,       /* QUOTED_EXPRESSION  */
    CLOSEBRACKET = 283,            /* CLOSEBRACKET  */
    TYPEDEF = 284,                 /* TYPEDEF  */
    MODULE = 285,                  /* MODULE  */
    IMPORT = 286,                  /* IMPORT  */
    EXPORT = 287,                  /* EXPORT  */
    MAPEXPR = 288,                 /* MAPEXPR  */
    INCLUDE = 289,                 /* INCLUDE  */
    GLOBAL = 290,                  /* GLOBAL  */
    TEXTDOMAIN = 291,              /* TEXTDOMAIN  */
    CONST = 292,                   /* CONST  */
    FULLNAME = 293,                /* FULLNAME  */
    STATIC = 294,                  /* STATIC  */
    EXTERN = 295,                  /* EXTERN  */
    LOOKUP = 296,                  /* LOOKUP  */
    SELECT = 297,                  /* SELECT  */
    SWITCH = 298,                  /* SWITCH  */
    CASE = 299,                    /* CASE  */
    DEFAULT = 300,                 /* DEFAULT  */
    SYM_NAMESPACE = 301,           /* SYM_NAMESPACE  */
    IDENTIFIER = 302,              /* IDENTIFIER  */
    STRING = 303,                  /* STRING  */
    C_VOID = 304,                  /* C_VOID  */
    C_BOOLEAN = 305,               /* C_BOOLEAN  */
    C_INTEGER = 306,               /* C_INTEGER  */
    C_FLOAT = 307,                 /* C_FLOAT  */
    C_BYTEBLOCK = 308,             /* C_BYTEBLOCK  */
    C_PATH = 309,                  /* C_PATH  */
    C_SYMBOL = 310,                /* C_SYMBOL  */
    C_TYPE = 311,                  /* C_TYPE  */
    OR = 312,                      /* OR  */
    AND = 313,                     /* AND  */
    EQUALS = 314,                  /* EQUALS  */
    NEQ = 315,                     /* NEQ  */
    LE = 316,                      /* LE  */
    GE = 317,                      /* GE  */
    LEFT = 318,                    /* LEFT  */
    RIGHT = 319,                   /* RIGHT  */
    ELSE = 320,                    /* ELSE  */
    UMINUS = 321                   /* UMINUS  */
  };
  typedef enum yytokentype yytoken_kind_t;
#endif
/* Token kinds.  */
#define YYEMPTY -2
#define YYEOF 0
#define YYerror 256
#define YYUNDEF 257
#define SCANNER_ERROR 258
#define END_OF_FILE 259
#define EMPTY 260
#define LIST 261
#define MAP 262
#define STRUCT 263
#define BLOCK 264
#define DEFINE 265
#define UNDEFINE 266
#define I18N 267
#define RETURN 268
#define CONTINUE 269
#define BREAK 270
#define IF 271
#define DO 272
#define WHILE 273
#define REPEAT 274
#define UNTIL 275
#define IS 276
#define ISNIL 277
#define SYMBOL 278
#define DCSYMBOL 279
#define DCQUOTED_BLOCK 280
#define QUOTED_BLOCK 281
#define QUOTED_EXPRESSION 282
#define CLOSEBRACKET 283
#define TYPEDEF 284
#define MODULE 285
#define IMPORT 286
#define EXPORT 287
#define MAPEXPR 288
#define INCLUDE 289
#define GLOBAL 290
#define TEXTDOMAIN 291
#define CONST 292
#define FULLNAME 293
#define STATIC 294
#define EXTERN 295
#define LOOKUP 296
#define SELECT 297
#define SWITCH 298
#define CASE 299
#define DEFAULT 300
#define SYM_NAMESPACE 301
#define IDENTIFIER 302
#define STRING 303
#define C_VOID 304
#define C_BOOLEAN 305
#define C_INTEGER 306
#define C_FLOAT 307
#define C_BYTEBLOCK 308
#define C_PATH 309
#define C_SYMBOL 310
#define C_TYPE 311
#define OR 312
#define AND 313
#define EQUALS 314
#define NEQ 315
#define LE 316
#define GE 317
#define LEFT 318
#define RIGHT 319
#define ELSE 320
#define UMINUS 321

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef int YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif




int yyparse (Parser *vp_parser);


#endif /* !YY_YY_PARSER_HH_INCLUDED  */
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_SCANNER_ERROR = 3,              /* SCANNER_ERROR  */
  YYSYMBOL_END_OF_FILE = 4,                /* END_OF_FILE  */
  YYSYMBOL_EMPTY = 5,                      /* EMPTY  */
  YYSYMBOL_LIST = 6,                       /* LIST  */
  YYSYMBOL_MAP = 7,                        /* MAP  */
  YYSYMBOL_STRUCT = 8,                     /* STRUCT  */
  YYSYMBOL_BLOCK = 9,                      /* BLOCK  */
  YYSYMBOL_DEFINE = 10,                    /* DEFINE  */
  YYSYMBOL_UNDEFINE = 11,                  /* UNDEFINE  */
  YYSYMBOL_I18N = 12,                      /* I18N  */
  YYSYMBOL_RETURN = 13,                    /* RETURN  */
  YYSYMBOL_CONTINUE = 14,                  /* CONTINUE  */
  YYSYMBOL_BREAK = 15,                     /* BREAK  */
  YYSYMBOL_IF = 16,                        /* IF  */
  YYSYMBOL_DO = 17,                        /* DO  */
  YYSYMBOL_WHILE = 18,                     /* WHILE  */
  YYSYMBOL_REPEAT = 19,                    /* REPEAT  */
  YYSYMBOL_UNTIL = 20,                     /* UNTIL  */
  YYSYMBOL_IS = 21,                        /* IS  */
  YYSYMBOL_ISNIL = 22,                     /* ISNIL  */
  YYSYMBOL_SYMBOL = 23,                    /* SYMBOL  */
  YYSYMBOL_DCSYMBOL = 24,                  /* DCSYMBOL  */
  YYSYMBOL_DCQUOTED_BLOCK = 25,            /* DCQUOTED_BLOCK  */
  YYSYMBOL_QUOTED_BLOCK = 26,              /* QUOTED_BLOCK  */
  YYSYMBOL_QUOTED_EXPRESSION = 27,         /* QUOTED_EXPRESSION  */
  YYSYMBOL_CLOSEBRACKET = 28,              /* CLOSEBRACKET  */
  YYSYMBOL_TYPEDEF = 29,                   /* TYPEDEF  */
  YYSYMBOL_MODULE = 30,                    /* MODULE  */
  YYSYMBOL_IMPORT = 31,                    /* IMPORT  */
  YYSYMBOL_EXPORT = 32,                    /* EXPORT  */
  YYSYMBOL_MAPEXPR = 33,                   /* MAPEXPR  */
  YYSYMBOL_INCLUDE = 34,                   /* INCLUDE  */
  YYSYMBOL_GLOBAL = 35,                    /* GLOBAL  */
  YYSYMBOL_TEXTDOMAIN = 36,                /* TEXTDOMAIN  */
  YYSYMBOL_CONST = 37,                     /* CONST  */
  YYSYMBOL_FULLNAME = 38,                  /* FULLNAME  */
  YYSYMBOL_STATIC = 39,                    /* STATIC  */
  YYSYMBOL_EXTERN = 40,                    /* EXTERN  */
  YYSYMBOL_LOOKUP = 41,                    /* LOOKUP  */
  YYSYMBOL_SELECT = 42,                    /* SELECT  */
  YYSYMBOL_SWITCH = 43,                    /* SWITCH  */
  YYSYMBOL_CASE = 44,                      /* CASE  */
  YYSYMBOL_DEFAULT = 45,                   /* DEFAULT  */
  YYSYMBOL_SYM_NAMESPACE = 46,             /* SYM_NAMESPACE  */
  YYSYMBOL_IDENTIFIER = 47,                /* IDENTIFIER  */
  YYSYMBOL_STRING = 48,                    /* STRING  */
  YYSYMBOL_C_VOID = 49,                    /* C_VOID  */
  YYSYMBOL_C_BOOLEAN = 50,                 /* C_BOOLEAN  */
  YYSYMBOL_C_INTEGER = 51,                 /* C_INTEGER  */
  YYSYMBOL_C_FLOAT = 52,                   /* C_FLOAT  */
  YYSYMBOL_C_BYTEBLOCK = 53,               /* C_BYTEBLOCK  */
  YYSYMBOL_C_PATH = 54,                    /* C_PATH  */
  YYSYMBOL_C_SYMBOL = 55,                  /* C_SYMBOL  */
  YYSYMBOL_C_TYPE = 56,                    /* C_TYPE  */
  YYSYMBOL_57_ = 57,                       /* '='  */
  YYSYMBOL_58_ = 58,                       /* '?'  */
  YYSYMBOL_OR = 59,                        /* OR  */
  YYSYMBOL_AND = 60,                       /* AND  */
  YYSYMBOL_61_ = 61,                       /* '|'  */
  YYSYMBOL_62_ = 62,                       /* '^'  */
  YYSYMBOL_63_ = 63,                       /* '&'  */
  YYSYMBOL_EQUALS = 64,                    /* EQUALS  */
  YYSYMBOL_NEQ = 65,                       /* NEQ  */
  YYSYMBOL_66_ = 66,                       /* '<'  */
  YYSYMBOL_67_ = 67,                       /* '>'  */
  YYSYMBOL_LE = 68,                        /* LE  */
  YYSYMBOL_GE = 69,                        /* GE  */
  YYSYMBOL_LEFT = 70,                      /* LEFT  */
  YYSYMBOL_RIGHT = 71,                     /* RIGHT  */
  YYSYMBOL_72_ = 72,                       /* '+'  */
  YYSYMBOL_73_ = 73,                       /* '-'  */
  YYSYMBOL_74_ = 74,                       /* '*'  */
  YYSYMBOL_75_ = 75,                       /* '/'  */
  YYSYMBOL_76_ = 76,                       /* '%'  */
  YYSYMBOL_77_ = 77,                       /* '!'  */
  YYSYMBOL_ELSE = 78,                      /* ELSE  */
  YYSYMBOL_79_ = 79,                       /* '~'  */
  YYSYMBOL_UMINUS = 80,                    /* UMINUS  */
  YYSYMBOL_81_ = 81,                       /* ':'  */
  YYSYMBOL_82_ = 82,                       /* '['  */
  YYSYMBOL_83_ = 83,                       /* '('  */
  YYSYMBOL_84_ = 84,                       /* ')'  */
  YYSYMBOL_85_ = 85,                       /* ','  */
  YYSYMBOL_86_ = 86,                       /* '{'  */
  YYSYMBOL_87_ = 87,                       /* '}'  */
  YYSYMBOL_88_ = 88,                       /* ';'  */
  YYSYMBOL_89_ = 89,                       /* ']'  */
  YYSYMBOL_YYACCEPT = 90,                  /* $accept  */
  YYSYMBOL_ycp = 91,                       /* ycp  */
  YYSYMBOL_expression = 92,                /* expression  */
  YYSYMBOL_bracket_expression = 93,        /* bracket_expression  */
  YYSYMBOL_castable_expression = 94,       /* castable_expression  */
  YYSYMBOL_casted_expression = 95,         /* casted_expression  */
  YYSYMBOL_compact_expression = 96,        /* compact_expression  */
  YYSYMBOL_infix_expression = 97,          /* infix_expression  */
  YYSYMBOL_block = 98,                     /* block  */
  YYSYMBOL_99_1 = 99,                      /* @1  */
  YYSYMBOL_100_2 = 100,                    /* @2  */
  YYSYMBOL_block_end = 101,                /* block_end  */
  YYSYMBOL_statements = 102,               /* statements  */
  YYSYMBOL_statement = 103,                /* statement  */
  YYSYMBOL_104_3 = 104,                    /* $@3  */
  YYSYMBOL_control_statement = 105,        /* control_statement  */
  YYSYMBOL_106_4 = 106,                    /* @4  */
  YYSYMBOL_107_5 = 107,                    /* $@5  */
  YYSYMBOL_108_6 = 108,                    /* @6  */
  YYSYMBOL_109_7 = 109,                    /* $@7  */
  YYSYMBOL_110_8 = 110,                    /* @8  */
  YYSYMBOL_111_9 = 111,                    /* @9  */
  YYSYMBOL_opt_else = 112,                 /* opt_else  */
  YYSYMBOL_type = 113,                     /* type  */
  YYSYMBOL_type_gt = 114,                  /* type_gt  */
  YYSYMBOL_types = 115,                    /* types  */
  YYSYMBOL_definition = 116,               /* definition  */
  YYSYMBOL_function_start = 117,           /* function_start  */
  YYSYMBOL_opt_global_identifier = 118,    /* opt_global_identifier  */
  YYSYMBOL_opt_global = 119,               /* opt_global  */
  YYSYMBOL_opt_define = 120,               /* opt_define  */
  YYSYMBOL_tupletypes = 121,               /* tupletypes  */
  YYSYMBOL_tupletype = 122,                /* tupletype  */
  YYSYMBOL_formal_param = 123,             /* formal_param  */
  YYSYMBOL_assignment = 124,               /* assignment  */
  YYSYMBOL_string = 125,                   /* string  */
  YYSYMBOL_constant = 126,                 /* constant  */
  YYSYMBOL_list = 127,                     /* list  */
  YYSYMBOL_list_elements = 128,            /* list_elements  */
  YYSYMBOL_opt_comma = 129,                /* opt_comma  */
  YYSYMBOL_map = 130,                      /* map  */
  YYSYMBOL_map_elements = 131,             /* map_elements  */
  YYSYMBOL_function_call = 132,            /* function_call  */
  YYSYMBOL_133_10 = 133,                   /* @10  */
  YYSYMBOL_parameters = 134,               /* parameters  */
  YYSYMBOL_function_name = 135,            /* function_name  */
  YYSYMBOL_identifier = 136,               /* identifier  */
  YYSYMBOL_identifier_list = 137           /* identifier_list  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  55
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   1346

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  90
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  48
/* YYNRULES -- Number of rules.  */
#define YYNRULES  155
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  309

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   321


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    77,     2,     2,     2,    76,    63,     2,
      83,    84,    74,    72,    85,    73,     2,    75,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,    81,    88,
      66,    57,    67,    58,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,    82,     2,    89,    62,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    86,    61,    87,    79,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    59,    60,    64,    65,    68,    69,    70,    71,
      78,    80
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   392,   392,   408,   422,   442,   443,   444,   445,   449,
     591,   592,   593,   594,   598,   636,   668,   734,   809,   813,
     819,   831,   847,   862,   896,   931,   953,   954,   955,   963,
     968,   973,   978,   983,   988,   993,   998,  1003,  1008,  1013,
    1018,  1023,  1028,  1033,  1038,  1043,  1048,  1053,  1058,  1087,
    1129,  1168,  1167,  1211,  1210,  1242,  1386,  1476,  1484,  1491,
    1490,  1532,  1589,  1673,  1737,  1738,  1750,  1755,  1785,  1786,
    1805,  1828,  1855,  1866,  1917,  1951,  2025,  2024,  2079,  2084,
    2078,  2121,  2126,  2120,  2164,  2179,  2201,  2209,  2223,  2222,
    2269,  2275,  2286,  2288,  2289,  2290,  2291,  2292,  2293,  2297,
    2301,  2302,  2307,  2308,  2312,  2314,  2323,  2328,  2354,  2434,
    2538,  2705,  2824,  2842,  2846,  2847,  2858,  2863,  2871,  2872,
    2901,  2963,  3039,  3185,  3186,  3201,  3202,  3203,  3204,  3205,
    3214,  3215,  3216,  3223,  3231,  3268,  3279,  3299,  3300,  3307,
    3315,  3348,  3369,  3415,  3414,  3742,  3750,  3775,  3809,  3846,
    3898,  3899,  3916,  3917,  3930,  3931
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "SCANNER_ERROR",
  "END_OF_FILE", "EMPTY", "LIST", "MAP", "STRUCT", "BLOCK", "DEFINE",
  "UNDEFINE", "I18N", "RETURN", "CONTINUE", "BREAK", "IF", "DO", "WHILE",
  "REPEAT", "UNTIL", "IS", "ISNIL", "SYMBOL", "DCSYMBOL", "DCQUOTED_BLOCK",
  "QUOTED_BLOCK", "QUOTED_EXPRESSION", "CLOSEBRACKET", "TYPEDEF", "MODULE",
  "IMPORT", "EXPORT", "MAPEXPR", "INCLUDE", "GLOBAL", "TEXTDOMAIN",
  "CONST", "FULLNAME", "STATIC", "EXTERN", "LOOKUP", "SELECT", "SWITCH",
  "CASE", "DEFAULT", "SYM_NAMESPACE", "IDENTIFIER", "STRING", "C_VOID",
  "C_BOOLEAN", "C_INTEGER", "C_FLOAT", "C_BYTEBLOCK", "C_PATH", "C_SYMBOL",
  "C_TYPE", "'='", "'?'", "OR", "AND", "'|'", "'^'", "'&'", "EQUALS",
  "NEQ", "'<'", "'>'", "LE", "GE", "LEFT", "RIGHT", "'+'", "'-'", "'*'",
  "'/'", "'%'", "'!'", "ELSE", "'~'", "UMINUS", "':'", "'['", "'('", "')'",
  "','", "'{'", "'}'", "';'", "']'", "$accept", "ycp", "expression",
  "bracket_expression", "castable_expression", "casted_expression",
  "compact_expression", "infix_expression", "block", "@1", "@2",
  "block_end", "statements", "statement", "$@3", "control_statement", "@4",
  "$@5", "@6", "$@7", "@8", "@9", "opt_else", "type", "type_gt", "types",
  "definition", "function_start", "opt_global_identifier", "opt_global",
  "opt_define", "tupletypes", "tupletype", "formal_param", "assignment",
  "string", "constant", "list", "list_elements", "opt_comma", "map",
  "map_elements", "function_call", "@10", "parameters", "function_name",
  "identifier", "identifier_list", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-245)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-152)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     248,  -245,   -19,   -35,  -245,  -245,   628,   347,  -245,   -33,
     -28,  -245,  -245,  -245,  -245,  -245,  -245,  -245,  -245,   -21,
     411,   628,  -245,    64,  -245,  -245,  -245,  -245,  -245,  -245,
       7,    24,  -245,   -38,   628,  -245,   628,   628,   628,   299,
     877,  -245,  -245,    11,  -245,  -245,  1147,    26,   628,   628,
    -245,  1243,    27,   904,  -245,  -245,  -245,  -245,  -245,   -19,
     737,  -245,   551,  -245,  -245,  -245,    43,    48,    52,    54,
    -245,   -27,   628,   628,   628,   628,   628,   628,   628,   628,
     628,   628,   628,   628,   628,   628,   628,   628,   628,   628,
     628,  -245,   628,   628,   628,    36,   765,   793,   628,    37,
    -245,  -245,   299,   -36,    54,   475,    42,    45,    44,  -245,
      56,  -245,    54,    93,    94,   -10,    95,  -245,    97,    99,
      65,   628,    50,   125,  -245,  -245,  -245,  -245,  -245,  -245,
    -245,    15,   -43,   141,    72,    75,   -37,    54,    54,    54,
      81,  -245,     2,   676,  1171,   343,   406,   469,  1257,  1270,
     717,   717,    83,    83,    83,    83,   -49,   -49,   -22,   -22,
    -245,  -245,  -245,    10,  1243,  1195,  -245,   628,   628,  1243,
    -245,  1243,    66,   -66,   628,    39,  -245,   675,  -245,  -245,
     628,     8,   628,     8,    66,    77,    78,    82,    84,    85,
      87,    89,   628,  1219,  -245,  -245,  -245,  -245,   628,    54,
     -10,    54,  -245,  -245,   628,   628,    69,  -245,    34,  -245,
    -245,    41,    21,  -245,  -245,  -245,    11,   628,   628,   628,
     628,   821,   849,  -245,  -245,   299,   931,  -245,  -245,   958,
    -245,   985,  -245,    90,  -245,  -245,   -10,  -245,  -245,  -245,
    -245,  1012,  -245,  -245,   706,    66,    86,    96,  -245,    88,
      66,  1243,   -68,  -245,  -245,    54,  -245,    54,  -245,  -245,
    1243,   628,   628,  1243,    66,  -245,   586,   151,  -245,   159,
    -245,  -245,  -245,  -245,  -245,  -245,  -245,    54,  -245,  -245,
     126,  -245,    41,  1039,  1066,  -245,   104,   101,   586,   102,
       8,  -245,   628,  -245,  -245,   586,  -245,   628,  -245,   628,
    -245,  1243,  -245,  1093,  1120,   100,   103,  -245,  -245
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint8 yydefact[] =
{
       4,     3,     0,     0,   153,    53,     0,     0,    22,     0,
       0,   152,   129,   125,   126,   127,   128,   130,   131,   132,
       0,     0,    51,     0,     2,    15,    28,    26,    27,    18,
       0,    25,   123,     0,     0,    57,     0,     0,     0,     0,
       0,     8,     6,     5,     7,   139,     0,   138,     0,     0,
     133,   135,   138,     0,    57,     1,   143,   124,    24,     0,
       0,    54,   113,    49,    48,    39,    93,    95,     0,     0,
      92,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    20,     0,     0,   137,     0,     0,     0,   137,     0,
      19,    52,   145,     0,     0,     0,     0,     0,     0,    78,
       0,    81,     0,     0,     0,     0,     0,   112,     0,     0,
       0,     0,     0,     0,   151,    55,    58,    71,    56,    72,
      68,     0,     0,   115,     0,     0,   150,     0,     0,     0,
      98,    99,     0,    10,     0,    41,    40,    38,    37,    36,
      42,    47,    43,    44,    45,    46,    34,    35,    29,    30,
      31,    32,    33,     0,   141,     0,   140,     0,     0,   136,
     134,   147,     0,     0,     0,     0,    86,     0,    85,    84,
       0,     0,     0,     0,     0,     0,     0,   154,     0,     0,
       0,     0,     0,     0,    74,    59,   107,   108,     0,   116,
     114,     0,    69,    70,     0,     0,     0,    94,     0,    97,
     100,   104,     0,    13,    14,    12,    11,     0,     0,     0,
       0,     0,     0,   146,   144,     0,     0,    21,    87,     0,
      79,     0,    82,     0,    61,    63,     0,    66,    62,    65,
      64,     0,    73,    57,     0,     0,     0,   117,   118,     0,
       0,   121,     0,   102,   103,     0,   101,     0,    50,     9,
     142,     0,     0,   149,     0,    23,   113,     0,    76,     0,
      67,   155,    88,    60,   109,   120,   110,     0,   106,   111,
       0,    96,   105,     0,     0,   148,    91,     0,   113,     0,
       0,   119,     0,    16,    17,   113,    75,     0,    77,     0,
      89,   122,    90,     0,     0,     0,     0,    80,    83
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -245,  -245,    -6,    47,  -245,    53,     3,  -245,   -46,  -245,
    -245,   -50,  -245,  -244,  -245,  -245,  -245,  -245,  -245,  -245,
    -245,  -245,  -245,    -4,  -134,  -245,  -245,  -245,  -245,  -245,
    -245,  -245,  -245,   -90,  -245,   140,  -245,  -245,   -85,   148,
    -245,  -245,   -60,  -245,  -245,  -245,   -56,   -34
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,    23,    51,    41,   214,    42,    43,    44,    25,    54,
      35,    61,    62,   128,   243,   129,   288,   181,   267,   183,
     269,   290,   296,   206,   207,   212,   130,   131,   132,   133,
     201,   246,   247,   248,   134,    33,    26,    27,    52,    95,
      28,    47,    29,   102,   173,    30,    31,   188
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      40,    46,   135,    24,   101,   209,   136,   163,    66,    67,
      57,    68,    57,     4,   198,    53,   127,   219,   224,   225,
     204,   280,   286,    86,    87,    88,    89,    90,    60,    32,
      63,    64,    65,    53,     5,    71,   141,    11,   218,    69,
     199,     5,    96,    97,   298,   205,    58,    59,    34,   174,
      48,   302,    88,    89,    90,    49,   142,   143,    70,   187,
      66,    67,  -151,    68,    55,   140,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   197,   210,   164,   165,     4,
      56,    69,   169,    92,    22,   219,   171,   141,   172,   177,
     175,    22,   141,   196,   141,   256,   257,  -150,   184,   137,
      70,    94,    98,    11,   138,   193,   223,   142,   139,   255,
     252,   281,   142,   227,   142,   166,   170,   180,   233,   141,
     178,   194,   141,   179,   208,   230,   253,   232,   211,   182,
     254,   185,   186,   189,   249,   190,   216,   191,   192,   142,
     195,   200,   142,    84,    85,    86,    87,    88,    89,    90,
     202,   221,   222,   203,   142,   234,   235,   236,   226,   287,
     276,   278,   237,   238,   229,   239,   231,   240,   270,   289,
     187,   277,   295,   292,   297,   299,   241,   291,   307,   275,
     213,   308,   244,   273,   279,   245,   215,   250,   251,   103,
      99,     0,   271,     0,     0,     0,   135,     0,   285,     0,
     136,   258,   259,   169,   260,     0,     0,     0,     0,   263,
     127,   264,     0,     0,     0,     0,     0,     0,   135,     0,
       0,     0,   136,     0,     0,   135,     0,     0,     0,   136,
       0,     0,   127,     0,   300,     0,     0,     0,     0,   127,
       0,     0,     1,   282,     0,   283,   284,     0,     0,     0,
       2,     0,     0,     0,     0,     0,     0,     0,     0,     3,
       0,     4,     0,   245,     5,     6,     0,     0,     0,     0,
       0,     7,     0,     0,     8,     0,   301,     0,     0,     9,
      10,   303,     0,   304,     0,    11,    12,    13,    14,    15,
      16,    17,    18,    19,     0,    66,    67,     0,    68,     0,
       0,     2,     0,     0,     0,     0,     0,     0,     0,     0,
       3,     0,     4,     0,     0,     5,     6,     0,     0,     0,
      20,    21,     7,     0,    22,     8,    69,     0,     0,     0,
       9,    10,     0,     0,     0,     0,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    70,     0,     0,     0,     2,
       0,     0,     0,     0,     0,     0,     0,     0,     3,     0,
       4,     0,    36,     5,     6,     0,    37,     0,    38,     0,
       7,    20,    39,     8,     0,    22,     0,     0,     9,    10,
       0,     0,     0,     0,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      36,     0,     0,     2,    37,     0,    38,     0,     0,    20,
      39,     0,     3,    22,     4,     0,    45,     5,     6,     0,
       0,     0,     0,     0,     7,     0,     0,     8,     0,     0,
       0,     0,     9,    10,     0,     0,     0,     0,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,     0,    36,     0,     0,     2,    37,     0,
      38,     0,     0,    20,    39,     0,     3,    22,     4,     0,
      50,     5,     6,     0,     0,     0,     0,     0,     7,     0,
       0,     8,     0,     0,     0,     0,     9,    10,     0,     0,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,     0,     0,    36,     0,
       0,     0,    37,     0,    38,     0,     0,    20,    39,     0,
       0,    22,     0,   176,   105,   106,   107,   108,   109,   110,
     111,     0,     0,     0,     4,     0,     0,     5,     0,     0,
     112,   113,   114,   115,     0,   116,   117,   118,     0,   119,
       0,     0,     0,     0,   120,   121,   122,   123,    11,   105,
     106,   107,   108,   109,   110,   111,   124,     0,     0,     4,
       0,     0,     5,     0,     0,   112,   113,   114,   115,     0,
     116,   117,   118,     0,   119,     0,     0,     0,     0,   120,
     121,   122,   123,    11,     0,     0,     0,    22,   125,   126,
       2,   124,     0,     0,     0,     0,     0,     0,     0,     3,
       0,     4,     0,     0,     5,     6,     0,     0,     0,     0,
       0,     7,     0,     0,     8,     0,     0,     0,     0,     9,
      10,     0,    22,     0,   126,    11,    12,    13,    14,    15,
      16,    17,    18,    19,     0,     0,     0,     0,     2,     0,
       0,     0,     0,     0,     0,     0,     0,     3,     0,     4,
       0,    36,     5,     6,     0,    37,     0,    38,     0,     7,
      20,    39,     8,     0,    22,     0,     0,     9,    10,     0,
       0,     0,     0,    11,    12,    13,    14,    15,    16,    17,
      18,    19,     0,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,     0,     0,     0,     0,     0,     0,    20,    39,
       0,     0,    22,   228,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,   274,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,     0,     0,     0,     0,     0,     0,
       0,     0,   104,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,     0,     0,     0,     0,     0,     0,     0,     0,
     167,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
       0,     0,     0,     0,     0,     0,     0,     0,   168,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,     0,     0,
       0,     0,     0,     0,     0,     0,   261,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,     0,     0,     0,     0,
       0,     0,     0,     0,   262,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,     0,     0,     0,     0,     0,     0,
       0,    91,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,     0,     0,     0,     0,     0,     0,     0,   100,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,     0,     0,
       0,     0,     0,     0,     0,   265,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,     0,     0,     0,     0,     0,
       0,     0,   266,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,     0,     0,     0,     0,     0,     0,     0,   268,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,     0,
       0,     0,     0,     0,     0,     0,   272,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,     0,     0,     0,     0,
       0,     0,     0,   293,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,     0,     0,     0,     0,     0,     0,     0,
     294,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
       0,     0,     0,     0,     0,     0,     0,   305,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,     0,     0,     0,
       0,     0,     0,     0,   306,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,     0,     0,     0,     0,    93,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,     0,     0,
       0,     0,   217,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,     0,     0,     0,     0,   220,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,     0,     0,     0,     0,
     242,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90
};

static const yytype_int16 yycheck[] =
{
       6,     7,    62,     0,    54,   139,    62,    92,     6,     7,
      48,     9,    48,    23,    57,    21,    62,    85,    84,    85,
      57,    89,   266,    72,    73,    74,    75,    76,    34,    48,
      36,    37,    38,    39,    26,    39,    63,    47,    28,    37,
      83,    26,    48,    49,   288,    82,    84,    85,    83,    85,
      83,   295,    74,    75,    76,    83,    83,    84,    56,   115,
       6,     7,    83,     9,     0,    69,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,   131,    84,    93,    94,    23,
      83,    37,    98,    82,    86,    85,   102,    63,   102,   105,
     104,    86,    63,    88,    63,    84,    85,    83,   112,    66,
      56,    85,    85,    47,    66,   121,   172,    83,    66,    85,
     205,   255,    83,    84,    83,    89,    89,    83,   184,    63,
      88,    81,    63,    88,   138,   181,    67,   183,   142,    83,
      71,    48,    48,    48,   200,    48,   143,    48,    83,    83,
      25,    10,    83,    70,    71,    72,    73,    74,    75,    76,
      88,   167,   168,    88,    83,    88,    88,    85,   174,    18,
      84,    83,    88,    88,   180,    88,   182,    88,    88,    20,
     236,    85,    78,    57,    83,    83,   192,   277,    88,   245,
     143,    88,   198,   243,   250,   199,   143,   201,   204,    59,
      52,    -1,   236,    -1,    -1,    -1,   266,    -1,   264,    -1,
     266,   217,   218,   219,   220,    -1,    -1,    -1,    -1,   225,
     266,   225,    -1,    -1,    -1,    -1,    -1,    -1,   288,    -1,
      -1,    -1,   288,    -1,    -1,   295,    -1,    -1,    -1,   295,
      -1,    -1,   288,    -1,   290,    -1,    -1,    -1,    -1,   295,
      -1,    -1,     4,   257,    -1,   261,   262,    -1,    -1,    -1,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    21,
      -1,    23,    -1,   277,    26,    27,    -1,    -1,    -1,    -1,
      -1,    33,    -1,    -1,    36,    -1,   292,    -1,    -1,    41,
      42,   297,    -1,   299,    -1,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    -1,     6,     7,    -1,     9,    -1,
      -1,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      21,    -1,    23,    -1,    -1,    26,    27,    -1,    -1,    -1,
      82,    83,    33,    -1,    86,    36,    37,    -1,    -1,    -1,
      41,    42,    -1,    -1,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    -1,    -1,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    21,    -1,
      23,    -1,    73,    26,    27,    -1,    77,    -1,    79,    -1,
      33,    82,    83,    36,    -1,    86,    -1,    -1,    41,    42,
      -1,    -1,    -1,    -1,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      73,    -1,    -1,    12,    77,    -1,    79,    -1,    -1,    82,
      83,    -1,    21,    86,    23,    -1,    89,    26,    27,    -1,
      -1,    -1,    -1,    -1,    33,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    41,    42,    -1,    -1,    -1,    -1,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    -1,    73,    -1,    -1,    12,    77,    -1,
      79,    -1,    -1,    82,    83,    -1,    21,    86,    23,    -1,
      89,    26,    27,    -1,    -1,    -1,    -1,    -1,    33,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    41,    42,    -1,    -1,
      -1,    -1,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    -1,    -1,    73,    -1,
      -1,    -1,    77,    -1,    79,    -1,    -1,    82,    83,    -1,
      -1,    86,    -1,    88,    13,    14,    15,    16,    17,    18,
      19,    -1,    -1,    -1,    23,    -1,    -1,    26,    -1,    -1,
      29,    30,    31,    32,    -1,    34,    35,    36,    -1,    38,
      -1,    -1,    -1,    -1,    43,    44,    45,    46,    47,    13,
      14,    15,    16,    17,    18,    19,    55,    -1,    -1,    23,
      -1,    -1,    26,    -1,    -1,    29,    30,    31,    32,    -1,
      34,    35,    36,    -1,    38,    -1,    -1,    -1,    -1,    43,
      44,    45,    46,    47,    -1,    -1,    -1,    86,    87,    88,
      12,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    21,
      -1,    23,    -1,    -1,    26,    27,    -1,    -1,    -1,    -1,
      -1,    33,    -1,    -1,    36,    -1,    -1,    -1,    -1,    41,
      42,    -1,    86,    -1,    88,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    -1,    -1,    -1,    -1,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    21,    -1,    23,
      -1,    73,    26,    27,    -1,    77,    -1,    79,    -1,    33,
      82,    83,    36,    -1,    86,    -1,    -1,    41,    42,    -1,
      -1,    -1,    -1,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    -1,    -1,    -1,    -1,    -1,    -1,    82,    83,
      -1,    -1,    86,    88,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    88,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    85,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      85,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    85,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    85,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    84,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    84,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    84,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    84,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    84,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      84,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    -1,    -1,    -1,    -1,    81,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    -1,    -1,
      -1,    -1,    81,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    -1,    -1,    -1,    -1,    81,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    -1,    -1,    -1,    -1,
      81,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_uint8 yystos[] =
{
       0,     4,    12,    21,    23,    26,    27,    33,    36,    41,
      42,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      82,    83,    86,    91,    96,    98,   126,   127,   130,   132,
     135,   136,    48,   125,    83,   100,    73,    77,    79,    83,
      92,    93,    95,    96,    97,    89,    92,   131,    83,    83,
      89,    92,   128,    92,    99,     0,    83,    48,    84,    85,
      92,   101,   102,    92,    92,    92,     6,     7,     9,    37,
      56,   113,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    84,    82,    81,    85,   129,    92,    92,    85,   129,
      84,   101,   133,   125,    85,    13,    14,    15,    16,    17,
      18,    19,    29,    30,    31,    32,    34,    35,    36,    38,
      43,    44,    45,    46,    55,    87,    88,    98,   103,   105,
     116,   117,   118,   119,   124,   132,   136,    66,    66,    66,
     113,    63,    83,    84,    92,    92,    92,    92,    92,    92,
      92,    92,    92,    92,    92,    92,    92,    92,    92,    92,
      92,    92,    92,   128,    92,    92,    89,    85,    85,    92,
      89,    92,   113,   134,    85,   113,    88,    92,    88,    88,
      83,   107,    83,   109,   113,    48,    48,   136,   137,    48,
      48,    48,    83,    92,    81,    25,    88,    98,    57,    83,
      10,   120,    88,    88,    57,    82,   113,   114,   113,   114,
      84,   113,   115,    93,    94,    95,    96,    81,    28,    85,
      81,    92,    92,   136,    84,    85,    92,    84,    88,    92,
      98,    92,    98,   136,    88,    88,    85,    88,    88,    88,
      88,    92,    81,   104,    92,   113,   121,   122,   123,   136,
     113,    92,   128,    67,    71,    85,    84,    85,    92,    92,
      92,    85,    85,    92,   113,    84,    84,   108,    84,   110,
      88,   137,    84,   101,    88,   136,    84,    85,    83,   136,
      89,   114,   113,    92,    92,   136,   103,    18,   106,    20,
     111,   123,    57,    84,    84,    78,   112,    83,   103,    83,
      98,    92,   103,    92,    92,    84,    84,    88,    88
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_uint8 yyr1[] =
{
       0,    90,    91,    91,    91,    92,    92,    92,    92,    93,
      94,    94,    94,    94,    95,    96,    96,    96,    96,    96,
      96,    96,    96,    96,    96,    96,    96,    96,    96,    97,
      97,    97,    97,    97,    97,    97,    97,    97,    97,    97,
      97,    97,    97,    97,    97,    97,    97,    97,    97,    97,
      97,    99,    98,   100,    98,   101,   102,   102,   103,   104,
     103,   103,   103,   103,   103,   103,   103,   103,   103,   103,
     103,   103,   103,   103,   103,   105,   106,   105,   107,   108,
     105,   109,   110,   105,   105,   105,   105,   105,   111,   105,
     112,   112,   113,   113,   113,   113,   113,   113,   113,   113,
     113,   113,   114,   114,   115,   115,   116,   116,   116,   116,
     117,   118,   119,   119,   120,   120,   121,   121,   122,   122,
     123,   124,   124,   125,   125,   126,   126,   126,   126,   126,
     126,   126,   126,   127,   127,   128,   128,   129,   129,   130,
     130,   131,   131,   133,   132,   134,   134,   134,   134,   134,
     135,   135,   136,   136,   137,   137
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     1,     1,     0,     1,     1,     1,     1,     5,
       0,     1,     1,     1,     4,     1,     8,     8,     1,     3,
       3,     6,     1,     7,     3,     1,     1,     1,     1,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
       5,     0,     3,     0,     3,     2,     2,     0,     1,     0,
       4,     3,     3,     3,     3,     3,     3,     4,     1,     2,
       2,     1,     1,     3,     2,     6,     0,     6,     0,     0,
       9,     0,     0,     9,     2,     2,     2,     3,     0,     6,
       2,     0,     1,     1,     3,     1,     5,     3,     2,     2,
       3,     4,     2,     2,     1,     3,     4,     2,     2,     4,
       4,     4,     1,     0,     1,     0,     0,     1,     1,     3,
       2,     3,     6,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     4,     1,     3,     1,     0,     2,
       4,     3,     5,     0,     5,     0,     2,     1,     4,     3,
       1,     1,     1,     1,     1,     3
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (vp_parser, YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)




# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value, vp_parser); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, Parser *vp_parser)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  YY_USE (vp_parser);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, Parser *vp_parser)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep, vp_parser);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule, Parser *vp_parser)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)], vp_parser);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule, vp_parser); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yysymbol_kind_t yytoken;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  int yyn = yypact[+*yyctx->yyssp];
  if (!yypact_value_is_default (yyn))
    {
      /* Start YYX at -YYN if negative to avoid negative indexes in
         YYCHECK.  In other words, skip the first -YYN actions for
         this state because they are default actions.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;
      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yyx;
      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
        if (yycheck[yyx + yyn] == yyx && yyx != YYSYMBOL_YYerror
            && !yytable_value_is_error (yytable[yyx + yyn]))
          {
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = YY_CAST (yysymbol_kind_t, yyx);
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep, Parser *vp_parser)
{
  YY_USE (yyvaluep);
  YY_USE (vp_parser);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}






/*----------.
| yyparse.  |
`----------*/

int
yyparse (Parser *vp_parser)
{
/* Lookahead token kind.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

    /* Number of syntax errors so far.  */
    int yynerrs = 0;

    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex (&yylval, vp_parser);
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* ycp: compact_expression  */
#line 393 "parser.yy"
            {
		inside_module = false; 		// reset for next call
		p_parser->m_result = (yyvsp[0].t == 0) ? 0 : yyvsp[0].c;
		p_parser->m_current_block = 0;
		p_parser->m_lineno = yyvsp[0].l;
		if (p_parser->m_parser_errors > 0)
		{
		    p_parser->m_parser_errors = 0;
		    p_parser->m_result = 0;
		    YYABORT;
		}
		y2debug ("\n------------------------------------------- accept -------------------------------------------\n");

		YYACCEPT;
	    }
#line 2367 "parser.cc"
    break;

  case 3: /* ycp: END_OF_FILE  */
#line 409 "parser.yy"
            {
		p_parser->m_result = 0;
		p_parser->m_lineno = -1;
		if (p_parser->m_parser_errors > 0)
		{
		    p_parser->m_parser_errors = 0;
		    // yyerror ("EOF");
		    p_parser->m_result = 0;
		    YYABORT;
		}
		y2debug ("\n-------------------------------------------- EOF --------------------------------------------\n");
		YYACCEPT;
	    }
#line 2385 "parser.cc"
    break;

  case 4: /* ycp: %empty  */
#line 422 "parser.yy"
            {
		YYABORT;
	    }
#line 2393 "parser.cc"
    break;

  case 9: /* bracket_expression: compact_expression '[' list_elements CLOSEBRACKET expression  */
#line 450 "parser.yy"
            {
		if ((yyvsp[-4].t == 0)			// any errors yet ?
		    || (yyvsp[-2].t == 0)
		    || (yyvsp[0].t == 0))
		{
		    yyval.t = 0;			// Y: break out
		    break;
		}
		else if (!yyvsp[-4].t->isList()
			 && !yyvsp[-4].t->isMap()
			 && !yyvsp[-4].t->isTerm())
		{
		    yyLerror ("Bracket operator must be applied to list, map, or term", yyvsp[-4].l);
		    yyval.t = 0;
		    break;
		}
		else if (yyvsp[-4].t->isTerm ())
		{
		    // cannot find out anything
		    yyval.t = Type::Any;
		}
		else
		{
		    // try to determine the type as far as possible, following the list of arguments,
		    // doing a type check as we go
		    // come out with $$.t == 0 if error, else determined type

		    // the currently tested structured type
		    constTypePtr cur = yyvsp[-4].t;

		    // index into YEList of bracket parameters, the list cannot be empty
		    int index = 0;
		    YEListPtr params = (YEListPtr)yyvsp[-2].c;

		    do
		    {
			constTypePtr paramType = params->value (index)->type ();	// type of bracket parameter at index
#if DO_DEBUG
			y2debug ("paramvalue (%d) '%s'", index, params->value(index)->toString().c_str());
			y2debug ("paramType '%s'", paramType->toString().c_str());
#endif
			if (paramType->isFunction())
			{
			    paramType = ((constFunctionTypePtr)paramType)->returnType ();
#if DO_DEBUG
			    y2debug ("paramType is function returning '%s'", paramType->toString().c_str());
#endif
			}
			
			// for lists, only integer is acceptable
			if (cur->isList ())
			{
			    if (! paramType->isInteger ())
			    {
				yyTypeMismatch ((string ("Bracket parameter '")
						 + params->value(index)->toString()
						 + string ("' to '")
						 + yyvsp[-4].c->toString()
						 + string ("' has wrong type")).c_str(), Type::Integer, paramType, yyvsp[-4].l);
				yyval.t = 0;
				break;
			    }
			    else
			    {
				cur = ((constListTypePtr)cur)->type ();
			    }
			}
			else if (cur->isMap ())
			{
			    if (paramType->match (((constMapTypePtr)cur)->keytype ()) == -1)
			    {
				yyTypeMismatch ((string ("Bracket parameter '")
						 + params->value(index)->toString()
						 + string ("' to '")
						 + yyvsp[-4].c->toString()
						 + string ("' has wrong type")).c_str(), ((constMapTypePtr)cur)->keytype (), paramType, yyvsp[-4].l);
				yyval.t = 0;
				break;
			    }
			    else
			    {
				cur = ((constMapTypePtr)cur)->valuetype ();
			    }
			}

			index++;

		    } while (index < params->count ()
			     && (cur->isList () || cur->isMap ()));

		    // quit on error
		    if (yyval.t == 0)
			break;

		    if (index < params->count ())		// we hit a non-list/non-map before end of bracket
		    {
			yyval.t = Type::Any;			// we can't say anything about the resulting type, must propagate to default type
		    }
		    else 
		    {
			yyval.t = cur;
		    }
		}					// type determination done

#if DO_DEBUG
		    y2debug ("default type '%s', determined type '%s'", yyvsp[0].t->toString().c_str(), yyval.t->toString().c_str());
#endif
		// default ($5) must match for non-nil
		if (! yyvsp[0].t->isVoid ()				// default is not 'nil'
		    && yyvsp[0].t->match (yyval.t) == -1)		// and it doesn't match the determined type
		{
		    yyTypeMismatch ((string ("Bracket default to '")
				     + yyvsp[-4].c->toString()
				     + string ("' has wrong type")).c_str(), yyval.t, yyvsp[0].t, yyvsp[-4].l);		// -> then we have a type error
		    yyval.t = 0;
		}
		else
		{
		    check_void_assign (0, &(yyvsp[0]));
		    yyval.c = new YEBracket (yyvsp[-4].c, yyvsp[-2].c, yyvsp[0].c, yyval.t);
		    yyval.l = yyvsp[-4].l;
		    if (! yyvsp[0].t->isVoid ()			// default is not 'nil'
			&& yyval.t->isAny ()			// and the map/list is unspecified
			&& !yyvsp[0].t->isAny())			// don't cast any -> any
		    {
			// for non-nil default and cur == Any use the type of the default,
			// but with runtime type checking
			yyval.c = new YEPropagate (yyval.c, Type::Any, yyvsp[0].t);
		    }
                    // recap:
                    // container [ indices ]: default_value
                    TOKEN_COMMENT(yyvsp[-3]);
                    TOKEN_COMMENT(yyvsp[-1]);
		    yyval.t = yyval.t->detailedtype (yyvsp[0].t);
#if DO_DEBUG
		    y2debug ("detailed type '%s'", yyval.t->toString().c_str());
#endif
		}
	    }
#line 2537 "parser.cc"
    break;

  case 14: /* casted_expression: '(' type ')' castable_expression  */
#line 599 "parser.yy"
        {
	    // on error, propagate it
	    if (yyvsp[-2].t == 0 || yyvsp[0].t == 0 || yyvsp[0].c == 0)
	    {
		yyval.c = 0;
		yyval.t = 0;
		break;
	    }
	    
	    int match = yyvsp[0].t->match (yyvsp[-2].t);	// would casted type allow expression type ?
#if DO_DEBUG
	    y2debug ("cast '%s' to '%s' match %d", yyvsp[0].t->toString().c_str(), yyvsp[-2].t->toString().c_str(), match);
#endif
	    if (match == 0)
	    {
		yyval.c = yyvsp[0].c;			// types match anyway
	    }
	    else if (yyvsp[0].t->canCast (yyvsp[-2].t))
	    {
		yyval.c = new YEPropagate (yyvsp[0].c, yyvsp[0].t, yyvsp[-2].t);
	    }
	    else 
	    {
		yyCantCast (yyvsp[0].t, yyvsp[-2].t, yyvsp[-2].l);
	    	yyval.t = 0;
		break;
	    }
            TOKEN_COMMENT_TO(yyvsp[-3], yyvsp[0]);
            TOKEN_COMMENT_TO(yyvsp[-2], yyvsp[0]);
            TOKEN_COMMENT_TO(yyvsp[-1], yyvsp[0]);

	    yyval.t = yyvsp[-2].t;
	    yyval.l = yyvsp[0].l;
	}
#line 2576 "parser.cc"
    break;

  case 15: /* compact_expression: block  */
#line 637 "parser.yy"
            {
		yyval = yyvsp[0];
#if DO_DEBUG
		y2debug ("compact_expression: block");
#endif
		/*
		 * If a block is used as an expression, we must make
		 * sure it does have a type. It is either provided by
		 * an explicit return, or there is an implicit return
		 * nil, ie. type void.
		 */
		if (yyval.t
		    && yyval.t->isUnspec ())
		{
		    yyval.t = Type::Void;
		}

		/*
		 * we also must make sure that an empty block is treated as 'nil'
		 */
		if (yyval.t != 0					// not an error
		    && yyval.c == 0)				// empty block
		{
		    yyval.c = new YConst (YCode::ycVoid, YCPVoid());
                    // comment of } of the empty block
                    TOKEN_COMMENT_TO(yyval, yyval);

		    yywarning ("Empty block is treated as 'nil'", yyvsp[0].l);
		}

	    }
#line 2612 "parser.cc"
    break;

  case 16: /* compact_expression: LOOKUP '(' expression ',' expression ',' expression ')'  */
#line 669 "parser.yy"
            {
		if ((yyvsp[-5].t == 0)
		    || (yyvsp[-3].t == 0)
		    || (yyvsp[-1].t == 0))
		{
		    yyval.t = 0;
		    break;
		}

		yywarning ("'lookup()' is deprecated", yyvsp[-7].l);

		// lookup needs special treatment because we must
		// pass a 'type hint' about the default expression
		// if default is nil, the type can't be seen in a YCPValue
		if (!yyvsp[-5].t->isMap())
		{
		    yyTypeMismatch ("First parameter to 'lookup' has wrong type", Type::Map, yyvsp[-5].t, yyvsp[-5].l);
		    yyval.t = 0;
		    break;
		}

		// check the type of the index
		if (yyvsp[-3].t->match ( (constMapTypePtr(yyvsp[-5].t))->keytype())== -1)
		{
		    yyTypeMismatch ("Second parameter to 'lookup' has wrong type", (constMapTypePtr(yyvsp[-5].t))->keytype(), yyvsp[-3].t, yyvsp[-7].l);		// -> then we have a type error
		    yyval.t = 0;
		}

		// likely type of lookup() expression

		yyval.t = (constMapTypePtr(yyvsp[-5].t))->valuetype();

		// default ($7) must match for non-nil
		if (! yyvsp[-1].t->isVoid ()			// default is not 'nil'
		    && yyvsp[-1].t->match (yyval.t) == -1)	// and it doesn't match the determined type
		{
		    yyTypeMismatch ("Third parameter to 'lookup' has wrong type", yyval.t, yyvsp[-1].t, yyvsp[-7].l);	// -> then we have a type error
		    yyval.t = 0;
		}
		else
		{
		    // see bracket_expression !!
		    check_void_assign (0, &(yyvsp[-1]));
		    yyval.c = new YEBracket (yyvsp[-5].c, new YEList(yyvsp[-3].c), yyvsp[-1].c, yyval.t);
		    if (! yyvsp[-1].t->isVoid ()                       // default is not 'nil'
			&& yyval.t->isAny()			// map is unspecified
			&& !yyvsp[-1].t->isAny())                      // don't cast any -> any
                    {
                        // for non-nil default and cur == Any use the type of the default,
                        // but with runtime type checking
                        yyval.c = new YEPropagate (yyval.c, Type::Any, yyvsp[-1].t);
                    }
                    yyval.t = yyval.t->detailedtype (yyvsp[-1].t);
#if DO_DEBUG
                    y2debug ("detailed type '%s'", yyval.t->toString().c_str());
#endif
                    // 1:lookup 2:( 3:expr 4:, 5:expr 6:, 7:expr 8:)
                    RULE_COMMENT(yyvsp[-7]);
                    TOKEN_COMMENT(yyvsp[-6]);
                    TOKEN_COMMENT(yyvsp[-4]);
                    TOKEN_COMMENT(yyvsp[-2]);
                    LAST_TOKEN_COMMENT(yyvsp[0]);
		}
		yyval.l = yyvsp[-7].l;
	    }
#line 2682 "parser.cc"
    break;

  case 17: /* compact_expression: SELECT '(' expression ',' expression ',' expression ')'  */
#line 735 "parser.yy"
            {
		if ((yyvsp[-5].t == 0)
		    || (yyvsp[-3].t == 0)
		    || (yyvsp[-1].t == 0))
		{
		    yyval.t = 0;
		    break;
		}

		yywarning ("'select ()' is deprecated", yyvsp[-7].l);

		// select needs special treatment because we must
		// pass a 'type hint' about the default expression
		// if default is nil, the type can't be seen in a YCPValue
		if (yyvsp[-5].t->isList())
		{
		    // likely type of select() expression

		    yyval.t = (constListTypePtr(yyvsp[-5].t))->type();
		}
		else if (yyvsp[-5].t->isTerm())
		{
		    // likely type of select() expression

		    yyval.t = Type::Any;
		}
		else
		{
		    yyLerror ("First parameter to 'select' must have list or map type", yyvsp[-5].l);
		    yyval.t = 0;
		    break;
		}

		// check the type of the index
		if (yyvsp[-3].t->match (Type::Integer) < 0)
		{
		    yyTypeMismatch ("Second parameter to 'select' has wrong type", Type::Integer, yyvsp[-3].t, yyvsp[-7].l);	// -> then we have a type error
		    yyval.t = 0;
		}

		// default ($7) must match for non-nil
		if (! yyvsp[-1].t->isVoid ()			// default is not 'nil'
		    && !yyval.t->isUnspec()		// and we have a determined type (list only, term doesnt have it)
		    && yyvsp[-1].t->match (yyval.t) == -1)	// and it doesn't match the determined type
		{
		    yyTypeMismatch ("Third parameter to 'select' has wrong type", yyval.t, yyvsp[-1].t, yyvsp[-7].l);	// -> then we have a type error
		    yyval.t = 0;
		}
		else
		{
		    // see bracket_expression !!
		    check_void_assign (0, &(yyvsp[-1]));
		    yyval.c = new YEBracket (yyvsp[-5].c, new YEList(yyvsp[-3].c), yyvsp[-1].c, yyval.t);
		    if (! yyvsp[-1].t->isVoid ()                       // default is not 'nil'
			&& yyval.t->isAny()			// list is unspecified
			&& !yyvsp[-1].t->isAny())                      // don't cast any -> any
                    {
                        // for non-nil default and cur == Any use the type of the default,
                        // but with runtime type checking
                        yyval.c = new YEPropagate (yyval.c, Type::Any, yyvsp[-1].t);
                    }
                    yyval.t = yyval.t->detailedtype (yyvsp[-1].t);
#if DO_DEBUG
                    y2debug ("detailed type '%s'", yyval.t->toString().c_str());
#endif
                    // 1:select 2:( 3:expr 4:, 5:expr 6:, 7:expr 8:)
                    RULE_COMMENT(yyvsp[-7]);
                    TOKEN_COMMENT(yyvsp[-6]);
                    TOKEN_COMMENT(yyvsp[-4]);
                    TOKEN_COMMENT(yyvsp[-2]);
                    LAST_TOKEN_COMMENT(yyvsp[0]);
		}
		yyval.l = yyvsp[-7].l;
	    }
#line 2761 "parser.cc"
    break;

  case 18: /* compact_expression: function_call  */
#line 810 "parser.yy"
            {
		yyval = yyvsp[0];
	    }
#line 2769 "parser.cc"
    break;

  case 19: /* compact_expression: '(' expression ')'  */
#line 814 "parser.yy"
            {
		yyval = yyvsp[-1];
                TOKEN_COMMENT(yyvsp[-2]);
                LAST_TOKEN_COMMENT(yyvsp[0]);
	    }
#line 2779 "parser.cc"
    break;

  case 20: /* compact_expression: QUOTED_EXPRESSION expression ')'  */
#line 820 "parser.yy"
            {
		if (yyvsp[-1].t == 0)
		{
		    yyval.t = 0;
		    break;
		}
		yyval.c = new YEReturn (yyvsp[-1].c);
		yyval.t = BlockTypePtr ( new BlockType (yyvsp[-1].t));
                TOKEN_COMMENT(yyvsp[-2]);
                LAST_TOKEN_COMMENT(yyvsp[0]);
	    }
#line 2795 "parser.cc"
    break;

  case 21: /* compact_expression: IS '(' expression ',' type ')'  */
#line 832 "parser.yy"
            {
		if (yyvsp[-3].t == 0)		// expression error
		{
		    yyval.t = 0;
		    break;
		}
		yyval.c = new YEIs (yyvsp[-3].c, yyvsp[-1].t);
		yyval.t = Type::Boolean;
		yyval.l = yyvsp[-5].l;
                RULE_COMMENT(yyvsp[-5]);
                TOKEN_COMMENT(yyvsp[-4]);
                RULE_COMMENT(yyvsp[-2]);
                RULE_COMMENT(yyvsp[-1]);
                RULE_COMMENT(yyvsp[0]);
	    }
#line 2815 "parser.cc"
    break;

  case 22: /* compact_expression: TEXTDOMAIN  */
#line 848 "parser.yy"
            {
		if (p_parser->m_block_stack == 0
		    || p_parser->m_block_stack->textdomain == 0)
		{
		    yyLerror ("No textdomain defined", yyvsp[0].l);
		    yyval.t = 0;
		    break;
		}

		yyval.c = new YConst (YCode::ycString, YCPString (p_parser->m_block_stack->textdomain));
		yyval.t = Type::String;
		yyval.l = yyvsp[0].l;
                RULE_COMMENT(yyvsp[0]);
	    }
#line 2834 "parser.cc"
    break;

  case 23: /* compact_expression: I18N string ',' string ',' expression ')'  */
#line 863 "parser.yy"
            {
		if (yyvsp[-1].t == 0)
		{
		    yyval.t = 0;
		    break;
		}

		if (p_parser->m_block_stack == 0
		    || p_parser->m_block_stack->textdomain == 0)
		{
		    yyLerror ("No textdomain defined", yyvsp[-6].l);
		    yyval.t = 0;
		    break;
		}

		if (yyvsp[-1].t->match (Type::Integer) < 0)
		{
		    yyTypeMismatch ("Last parameter to " "_(...) has wrong type", Type::Integer, yyvsp[-1].t, yyvsp[-1].l);
		    yyval.t = 0;
		    break;
		}
		// don't free the .sval, YELocale keeps pointers
		yyval.c = new YELocale (yyvsp[-5].v.sval, yyvsp[-3].v.sval, yyvsp[-1].c, p_parser->m_block_stack->textdomain);
		yyval.t = Type::Locale;
		yyval.l = yyvsp[-6].l;
                // 'string' nonterminal simply aggregates STRINGs, has .v not .c
                RULE_COMMENT(yyvsp[-6]);
                RULE_COMMENT(yyvsp[-5]);
                RULE_COMMENT(yyvsp[-4]);
                RULE_COMMENT(yyvsp[-3]);
                RULE_COMMENT(yyvsp[-2]);
                LAST_TOKEN_COMMENT(yyvsp[0]);
	    }
#line 2872 "parser.cc"
    break;

  case 24: /* compact_expression: I18N string ')'  */
#line 897 "parser.yy"
            {
		if (p_parser->m_block_stack == 0
		    || p_parser->m_block_stack->textdomain == 0)
		{
		    yyLerror ("No textdomain defined", yyvsp[-2].l);
		    yyval.t = 0;
                    yyval.c = 0;
		}
		else if (*(yyvsp[-1].v.sval) == 0)		// empty string ?
		{
		    yywarning ("Empty locale constant", yyvsp[-2].l);

		    // treat empty locale as normal string
		    // else dgettext would return the complete .po file header !

		    yyval.c = new YConst (YCode::ycString, YCPString (yyvsp[-1].v.sval));
		    delete[] yyvsp[-1].v.sval;
		    yyval.t = Type::String;
		}
		else
		{
		    // don't free $2.v.sval, YLocale keeps the pointer
		    yyval.c = new YLocale (yyvsp[-1].v.sval, p_parser->m_block_stack->textdomain);
		    yyval.t = Type::Locale;
		}
                if (yyval.c)
                {
                    // 'string' nonterminal simply aggregates STRINGs, has .v not .c
                    RULE_COMMENT(yyvsp[-2]);
                    RULE_COMMENT(yyvsp[-1]);
                    RULE_COMMENT(yyvsp[0]);
                }
		yyval.l = yyvsp[-2].l;
	    }
#line 2911 "parser.cc"
    break;

  case 25: /* compact_expression: identifier  */
#line 932 "parser.yy"
            {
		if (yyvsp[0].t == 0
		    || yyvsp[0].t->isUnspec ())		// new (undeclared) identifier
		{
		    // FIXME: we should free the identifier memory
		    yyVerror (yyvsp[0].v.nval, yyvsp[0].l);
		    yyval.t = 0;
		}
		else
		{
		    SymbolEntryPtr sentry = yyvsp[0].v.tval->sentry();
		    yyval.c = new YEVariable (sentry);
		    yyval.t = sentry->type();
#if DO_DEBUG
		    y2debug ("identifier '<%s>%s' !", yyval.t->toString().c_str(), sentry->name());
#endif
		    yyval.l = yyvsp[0].l;
                    RULE_COMMENT(yyvsp[0]);
		}
	    }
#line 2936 "parser.cc"
    break;

  case 28: /* compact_expression: constant  */
#line 956 "parser.yy"
    {
        // delayed copy from value to ycode
        RULE_COMMENT(yyvsp[0]);
    }
#line 2945 "parser.cc"
    break;

  case 29: /* infix_expression: expression '+' expression  */
#line 964 "parser.yy"
            {
		check_binary_op (&(yyval), &(yyvsp[-2]), "+", &(yyvsp[0]));
                TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 2954 "parser.cc"
    break;

  case 30: /* infix_expression: expression '-' expression  */
#line 969 "parser.yy"
            {
		check_binary_op (&(yyval), &(yyvsp[-2]), "-", &(yyvsp[0]));
                TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 2963 "parser.cc"
    break;

  case 31: /* infix_expression: expression '*' expression  */
#line 974 "parser.yy"
            {
		check_binary_op (&(yyval), &(yyvsp[-2]), "*", &(yyvsp[0]));
                TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 2972 "parser.cc"
    break;

  case 32: /* infix_expression: expression '/' expression  */
#line 979 "parser.yy"
            {
		check_binary_op (&(yyval), &(yyvsp[-2]), "/", &(yyvsp[0]));
                TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 2981 "parser.cc"
    break;

  case 33: /* infix_expression: expression '%' expression  */
#line 984 "parser.yy"
            {
		check_binary_op (&(yyval), &(yyvsp[-2]), "%", &(yyvsp[0]));
                TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 2990 "parser.cc"
    break;

  case 34: /* infix_expression: expression LEFT expression  */
#line 989 "parser.yy"
            {
		check_binary_op (&(yyval), &(yyvsp[-2]), "<<", &(yyvsp[0]));
                TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 2999 "parser.cc"
    break;

  case 35: /* infix_expression: expression RIGHT expression  */
#line 994 "parser.yy"
            {
		check_binary_op (&(yyval), &(yyvsp[-2]), ">>", &(yyvsp[0]));
                TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 3008 "parser.cc"
    break;

  case 36: /* infix_expression: expression '&' expression  */
#line 999 "parser.yy"
            {
		check_binary_op (&(yyval), &(yyvsp[-2]), "&", &(yyvsp[0]));
                TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 3017 "parser.cc"
    break;

  case 37: /* infix_expression: expression '^' expression  */
#line 1004 "parser.yy"
            {
		check_binary_op (&(yyval), &(yyvsp[-2]), "^", &(yyvsp[0]));
                TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 3026 "parser.cc"
    break;

  case 38: /* infix_expression: expression '|' expression  */
#line 1009 "parser.yy"
            {
		check_binary_op (&(yyval), &(yyvsp[-2]), "|", &(yyvsp[0]));
                TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 3035 "parser.cc"
    break;

  case 39: /* infix_expression: '~' expression  */
#line 1014 "parser.yy"
            {
		check_unary_op (&(yyval), &(yyvsp[0]), "~");
                TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 3044 "parser.cc"
    break;

  case 40: /* infix_expression: expression AND expression  */
#line 1019 "parser.yy"
            {
		check_binary_op (&(yyval), &(yyvsp[-2]), "&&", &(yyvsp[0]));
                TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 3053 "parser.cc"
    break;

  case 41: /* infix_expression: expression OR expression  */
#line 1024 "parser.yy"
            {
		check_binary_op (&(yyval), &(yyvsp[-2]), "||", &(yyvsp[0]));
                TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 3062 "parser.cc"
    break;

  case 42: /* infix_expression: expression EQUALS expression  */
#line 1029 "parser.yy"
            {
		check_compare_op (&(yyval), &(yyvsp[-2]), YECompare::C_EQ, &(yyvsp[0]));
                TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 3071 "parser.cc"
    break;

  case 43: /* infix_expression: expression '<' expression  */
#line 1034 "parser.yy"
            {
		check_compare_op (&(yyval), &(yyvsp[-2]), YECompare::C_LT, &(yyvsp[0]));
                TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 3080 "parser.cc"
    break;

  case 44: /* infix_expression: expression '>' expression  */
#line 1039 "parser.yy"
            {
		check_compare_op (&(yyval), &(yyvsp[-2]), YECompare::C_GT, &(yyvsp[0]));
                TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 3089 "parser.cc"
    break;

  case 45: /* infix_expression: expression LE expression  */
#line 1044 "parser.yy"
            {
		check_compare_op (&(yyval), &(yyvsp[-2]), YECompare::C_LE, &(yyvsp[0]));
                TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 3098 "parser.cc"
    break;

  case 46: /* infix_expression: expression GE expression  */
#line 1049 "parser.yy"
            {
		check_compare_op (&(yyval), &(yyvsp[-2]), YECompare::C_GE, &(yyvsp[0]));
                TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 3107 "parser.cc"
    break;

  case 47: /* infix_expression: expression NEQ expression  */
#line 1054 "parser.yy"
            {
		check_compare_op (&(yyval), &(yyvsp[-2]), YECompare::C_NEQ, &(yyvsp[0]));
                TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 3116 "parser.cc"
    break;

  case 48: /* infix_expression: '!' expression  */
#line 1059 "parser.yy"
            {
		if (yyvsp[0].t == 0)
		{
		    yyval.t = 0;
		    break;
		}

		if (yyvsp[0].c->isConstant() && !parsing_comments()) //optimalize expresion if it is constant and we do not want to export comments attached to inner expression
		{
		    YConstPtr c = (YConstPtr)yyvsp[0].c;
		    if (c->kind() == YCode::ycBoolean)
		    {
			yyval.c = new YConst (YCode::ycBoolean, YCPBoolean (!(c->value()->asBoolean()->value())));
			yyval.t = Type::Boolean;
			yyval.l = yyvsp[-1].l;
		    }
		    else
		    {
			yyLerror ("Bad constant for binary 'not'", yyvsp[0].l);
			yyval.t = 0;
		    }
		}
		else
		{
		    check_unary_op (&(yyval), &(yyvsp[0]), "!");
                    TOKEN_COMMENT(yyvsp[-1]);
		}
	    }
#line 3149 "parser.cc"
    break;

  case 49: /* infix_expression: '-' expression  */
#line 1088 "parser.yy"
            {
		if (yyvsp[0].t == 0)
		{
		    yyval.t = 0;
		    break;
		}

    // If comments are parsed, constant subexpression elimination is disabled.
    // But his breaks `case` labets with negative numbers, producing a 
    // "Non constant value in case statement" parse error. This is because YCP lexer
    // known only positive literals and negative numbers are done in the parser.
    // Re-enabled CSE for unary minus.
		if (yyvsp[0].c->isConstant())
		{
		    YConstPtr c = (YConstPtr)yyvsp[0].c;
		    if (c->kind() == YCode::ycInteger)
		    {
			yyval.c = new YConst (YCode::ycInteger, YCPInteger (-(c->value()->asInteger()->value())));
			yyval.t = Type::Integer;
			yyval.l = yyvsp[-1].l;
			RULE_COMMENT(yyvsp[-1]);
		    }
		    else if (yyvsp[0].c->kind() == YCode::ycFloat)
		    {
			yyval.c = new YConst (YCode::ycFloat, YCPFloat (-(c->value()->asFloat()->value())));
			yyval.t = Type::Float;
			yyval.l = yyvsp[-1].l;
			RULE_COMMENT(yyvsp[-1]);
		    }
		    else
		    {
			yyLerror ("Bad constant for negate", yyvsp[0].l);
			yyval.t = 0;
		    }
		}
		else
		{
		    check_unary_op (&(yyval), &(yyvsp[0]), "-");
                    TOKEN_COMMENT(yyvsp[-1]);
		}
	    }
#line 3195 "parser.cc"
    break;

  case 50: /* infix_expression: expression '?' expression ':' expression  */
#line 1130 "parser.yy"
            {
		if ((yyvsp[-4].t == 0)
		    || (yyvsp[-2].t == 0)
		    || (yyvsp[0].t == 0))
		{
		    yyval.t = 0;
		    break;
		}

		if (!yyvsp[-4].t->isBoolean())
		{
		    yyTypeMismatch ("Expression before '?' must be boolean", Type::Boolean, yyvsp[-4].t, yyvsp[-4].l);
		    yyval.t = 0;
		}
		else if (yyvsp[-4].c->kind() == YCode::ycBoolean && !parsing_comments())
		{
		    if (yyvsp[-4].c->evaluate (true)->asBoolean()->value() == true)
		    {
			yyval.c = yyvsp[-2].c;
		    }
		    else
		    {
			yyval.c = yyvsp[0].c;
		    }
		}
		else
		{
		    yyval.c = new YETriple (yyvsp[-4].c, yyvsp[-2].c, yyvsp[0].c);
                    TOKEN_COMMENT(yyvsp[-3]);
                    TOKEN_COMMENT(yyvsp[-1]);
		}
		yyval.t = yyvsp[-2].t->commontype (yyvsp[0].t);
		yyval.l = yyvsp[-4].l;
	    }
#line 3234 "parser.cc"
    break;

  case 51: /* @1: %empty  */
#line 1168 "parser.yy"
            {
		if (declared_return_type == 0)
		{
		    // this is error, propagate
		    yyval.t = 0;
		    break;
		}
		
		constTypePtr b_t = declared_return_type;
		
		if ( ! declared_return_type->isUnspec ())
		{
		    declared_return_type = Type::Unspec;
		}
		else if (p_parser->m_block_stack != NULL)
		{
		    b_t = p_parser->m_block_stack->theBlock->type ();
		}

		start_block (p_parser, b_t);

		// verify, if we are in switch. if yes, say we are
		// the block of the switch
		
		if (in_switch) {
#if DO_DEBUG
		    y2debug ("Setting block for switch");
#endif
		    p_parser->m_switch_stack->statement->
			setBlock (p_parser->m_block_stack->theBlock);
		    in_switch = false;
		}
		
	    }
#line 3273 "parser.cc"
    break;

  case 52: /* block: '{' @1 block_end  */
#line 1203 "parser.yy"
            {
                TOKEN_COMMENT_TO(yyvsp[-2], yyvsp[0]);
		yyval = yyvsp[0];
#if DO_DEBUG
		y2debug ("block: (%s:%s)", yyval.c ? yyval.c->toString().c_str() : "<nil>", yyval.t ? yyval.t->toString().c_str() : "<ERR>");
#endif
	    }
#line 3285 "parser.cc"
    break;

  case 53: /* @2: %empty  */
#line 1211 "parser.yy"
            {
		if (declared_return_type == 0)
		{
		    // this is error, propagate
		    yyval.t = 0;
		    break;
		}
		
		// this differs from the non-quoted block that it will not
		// inherit the return type from the parent block, never

		constTypePtr b_t = declared_return_type;

		if ( ! declared_return_type->isUnspec ())
		{
		    declared_return_type = Type::Unspec;
		}

		start_block (p_parser, b_t);
	    }
#line 3310 "parser.cc"
    break;

  case 54: /* block: QUOTED_BLOCK @2 block_end  */
#line 1232 "parser.yy"
            {
                TOKEN_COMMENT_TO(yyvsp[-2], yyvsp[0]);
		yyval = yyvsp[0];
#if DO_DEBUG
		y2debug ("block: (%s:%s)", yyval.c ? yyval.c->toString().c_str() : "<nil>", yyval.t ? yyval.t->toString().c_str() : "<ERR>");
#endif
	    }
#line 3322 "parser.cc"
    break;

  case 55: /* block_end: statements '}'  */
#line 1243 "parser.yy"
            {
		// end of block
		//
		// pop block from block stack
		// unlink local symbols from symbol table

		blockstack_t *top = p_parser->m_block_stack;
		bool is_include = true;

		if (top == 0
		    || (top->includeDepth == 0))
		{
#if DO_DEBUG
		    y2debug ("block end");
#endif
		    top = blockstack_pop (p_parser->m_block_stack);
		    is_include = false;
		}

		YBlockPtr b = top->theBlock;

		SymbolTable *localTable = p_parser->scanner()->localTable();
		extern SymbolTable *builtinTable;	// for predefined namespaces
#if 0
		y2debug ("table before (%s)", localTable->toString().c_str());
#endif

		if (top->self != 0)
		{
		    top->self->remove();			// remove c_self entry
		}

		if (top->includeDepth == 0)
		{
#if DO_DEBUG
		    y2debug ("Detaching local table");
#endif
		    b->detachEnvironment (localTable);		// detach local table
#if DO_DEBUG
		    y2debug ("Detaching local table done");
#endif
		}
		else
		{
		    top->includeDepth--;			// end of include block
		    b->endInclude ();
		}

		if (b->isModule()
		    || b->isFile())
		{
		    // end of topleve 'module' or 'file' block
		    // check if any predefined namespace where activated in StaticDeclaration
		    //   or auto-imported by the scanner
		    // add import statements for such namespaces
		    Y2Namespace *name_space;

		    const std::list<std::pair<std::string, Y2Namespace *> > & active_predefined = static_declarations.active_predefined();
		    std::list<std::pair<std::string, Y2Namespace *> >::const_iterator it;
		    for (it = active_predefined.begin(); it != active_predefined.end(); it++)
		    {
			name_space = it->second;
			if (name_space->table()->countUsage() > 0)
			{
#if DO_DEBUG
			    y2debug ("active_predefined: import '%s', %d symbols needed", it->first.c_str(), name_space->table()->countUsage());
#endif
			    p_parser->m_current_block->pretachStatement (new YSImport (it->first, name_space));
			}
		    }
		    const std::list<std::pair<std::string, Y2Namespace *> > & autoimport_predefined= p_parser->scanner()->autoimport_predefined();
		    for (it = autoimport_predefined.begin(); it != autoimport_predefined.end(); it++)
		    {
			name_space = it->second;
			if (name_space->table()->countUsage() > 0)
			{
#if DO_DEBUG
			    y2debug ("autoimport_predefined: import '%s', %d symbols needed", it->first.c_str(), name_space->table()->countUsage());
#endif
			    p_parser->m_current_block->pretachStatement (new YSImport (it->first, name_space));
			    
			    // reset symbol entry category - BEWARE: this makes it non-reentrant
                    	    TableEntry* tentry = builtinTable->find (it->first.c_str ());
                    	    if (tentry && tentry->sentry ())
                    	    {
                        	tentry->sentry ()->setCategory (SymbolEntry::c_predefined);
                    	    }
			}
		    }
		}

//		y2debug ("table after (%s)", localTable->toString().c_str());

		if (yyvsp[-1].t == 0)			// error block
		{
		    yyval.t = 0;
		    break;
		}

		if (yyvsp[-1].c == 0)			// empty block
		{
		    if (is_include)
		    {
			yyLerror ("Bad (empty ?) include file", yyvsp[-1].l);
			yyval.t = 0;
			break;
		    }
		    if (b->isModule())
		    {
			yyLerror ("Empty module", yyvsp[-1].l);
			yyval.t = 0;
			break;
		    }
		    yyval.c = 0;
                    yyval.com = yyvsp[0].com; // COMMENT of } of the empty block
		}
		else if (is_include)		// this was an include block
		{
		    yyval.c = 0;			// pass it up as 'empty'
		}
		else
		{
		    b->finish ();
		    yyval.c = b;			// normal block
                    LAST_TOKEN_COMMENT(yyvsp[0]); // statements }
		}

		// See the comment about types at the "expression" rule.
		yyval.t = top->theBlock->type ();
		yyval.l = yyvsp[-1].l;

		if (!is_include)
		{
		    delete top;
		}
	    }
#line 3463 "parser.cc"
    break;

  case 56: /* statements: statements statement  */
#line 1387 "parser.yy"
            {
		if ((yyvsp[-1].t == 0)
		    || (yyvsp[0].t == 0))
		{
#if DO_DEBUG
		    y2debug ("bad statements (%p) or statement (%p)", (const void *)yyvsp[-1].t, (const void *)yyvsp[0].t);
#endif
		    yyval.t = 0;
		    break;
		}

		if (yyvsp[0].c == 0)			// empty statement
		{
#if DO_DEBUG
		    y2debug ("Empty statement");
#endif
		    yyval.t = Type::Unspec;
		    break;
		}

		YStatementPtr stmt = static_cast<YStatementPtr>(yyvsp[0].c);
		YBlockPtr theblock = p_parser->m_block_stack->theBlock;
		constTypePtr typeofblock = theblock->type ();
#if DO_DEBUG
		y2debug ("STMT[%s!%s]\n", typeofblock->toString().c_str(), yyvsp[0].t->toString().c_str());
		y2debug ("STMT[kind %d]\n", yyvsp[0].c->kind());
		if (stmt) y2debug ("STMT[%s:%d]\n", stmt->toString().c_str(), stmt->line());
#endif

		if (!(yyvsp[0].t)->isUnspec ())			// return statement
		{
#if DO_DEBUG
		    y2debug ("Return in block: %s, typeofblock %s, declared_return_type %s", yyvsp[0].t->toString().c_str(), typeofblock->toString().c_str(), declared_return_type->toString().c_str());
#endif
		    found_return_type = yyvsp[0].t;

		    if (typeofblock->isUnspec ())	// type undefined yet
		    {
			if (!(yyvsp[0].t)->isNil())				// "return nil;" does not define the block type !
			{
#if DO_DEBUG
			    y2debug ("Block type (%s)", yyvsp[0].t->toString().c_str());
#endif
			    theblock->setType (yyvsp[0].t);
			    typeofblock = yyvsp[0].t;
			}
		    }
		    else						// type is already defined, check it
		    {
			// default: no match
			int match = -1;

			// since nil (void) matches everything, handle this separately
			if (yyvsp[0].t->isVoid())				// "return;"
			{
			    if (typeofblock->isVoid())
			    {
				match = 0;
			    }
			}
			else if (yyvsp[0].t->isNil())				// "return nil;"
			{
			    match = 0;
			}
			else						// "return <expression>;"
			{
			    match = yyvsp[0].t->match (typeofblock);
			}

			if (match > 0)
			{
			    ((YSReturnPtr)stmt)->propagate (yyvsp[0].t, typeofblock);
			}
			else if (match < 0)
			{
			    yyTypeMismatch ("Mismatched return type in block", typeofblock, yyvsp[0].t, yyvsp[0].l);
			    yyval.t = 0;
			    break;
			}
		    }
		}

		theblock->attachStatement (stmt);
		y2debug ("attached statement '%s'", stmt == 0 ? "<NULL>" : stmt->toString().c_str());
		yyval.c = stmt;
		yyval.t = typeofblock;
		yyval.l = yyvsp[-1].l;
	    }
#line 3556 "parser.cc"
    break;

  case 57: /* statements: %empty  */
#line 1476 "parser.yy"
            {
		yyval.t = Type::Unspec;	// default type is unknown
		yyval.c = 0;		// empty statement
		yyval.l = LINE_NOW;
	    }
#line 3566 "parser.cc"
    break;

  case 58: /* statement: ';'  */
#line 1485 "parser.yy"
            {
		yyval.t = Type::Unspec;		// empty statement is allowed
		yyval.c = 0;
                yyval.com = yyvsp[0].com;
	    }
#line 3576 "parser.cc"
    break;

  case 59: /* $@3: %empty  */
#line 1491 "parser.yy"
            {
		start_block (p_parser, Type::Unspec);

		SymbolTable **saved_table = new SymbolTable *[2];
		saved_table[0] = p_parser->scanner()->globalTable();
		saved_table[1] = p_parser->scanner()->localTable();
		// evaluate following block in different name space
		// FIXME: maybe the SymbolEntry is not correct
		p_parser->scanner()->initTables (((YSymbolEntryPtr)yyvsp[-1].v.tval->sentry())->table(), 0);

		y2warning ("Using incompatible coversion");
		// save environment tables for later restore
		yyvsp[0].v.val = (void *)saved_table;
	    }
#line 3595 "parser.cc"
    break;

  case 60: /* statement: SYM_NAMESPACE DCQUOTED_BLOCK $@3 block_end  */
#line 1506 "parser.yy"
            {
		// restore environment
		SymbolTable **saved_table = (SymbolTable **)yyvsp[-2].v.val;
		p_parser->scanner()->initTables (saved_table[0], saved_table[1]);
		delete[] saved_table;

		if (yyvsp[0].t == 0)
		{
		    yyval.t = 0;
		    break;
		}

		if (yyvsp[0].c				// block not empty
		    && yyvsp[0].c->isBlock())
		{
		    YBlockPtr block = (YBlockPtr)(yyvsp[0].c);
		    block->setKind (YBlock::b_using);
		    block->setName (string (yyvsp[-3].v.tval->key()));
		}
#if DO_DEBUG
		y2debug ("block_end");
#endif
		yyval = yyvsp[0];
                TOKEN_COMMENT_TO(yyvsp[-3], yyvsp[0]);
                TOKEN_COMMENT_TO(yyvsp[-2], yyvsp[0]);
	    }
#line 3626 "parser.cc"
    break;

  case 61: /* statement: MODULE STRING ';'  */
#line 1533 "parser.yy"
            {
		if (!blockstack_at_toplevel()) // must be outermost block
		{
		    yyLerror ("module statement in sub-block", yyvsp[-2].l);
		    yyval.t = 0;
		    break;
		}

		if (p_parser->m_current_block->isModule())
		{
		    yyLerror ("duplicate module statement", yyvsp[-2].l);
		    yyval.t = 0;
		    break;
		}

		const char *name = yyvsp[-1].v.sval;
		SymbolTable *globalTable = p_parser->scanner()->globalTable();
		if (globalTable->find (name, SymbolEntry::c_module) != 0)
		{
		    yyLerror ("module already declared", yyvsp[-2].l);
		    yyval.t = 0;
		    break;
		}

		// Remember the name that will be used for a symbol
		// table entry when we finish the module block and so
		// that other syntax rules know we are in a module.

		p_parser->m_current_block->setKind (YBlock::b_module);
		p_parser->m_current_block->setName (name);

		// enter 'self' entry so namespace references to current module get ignored
		SymbolEntryPtr sself = new YSymbolEntry (0, 0, name, SymbolEntry::c_self, Type::Unspec);
		TableEntry *self = new TableEntry (sself->name(), sself, new Point (sself, yyvsp[-2].l, p_parser->m_current_block->point()));
		p_parser->scanner()->localTable()->enter (self);

		// module has private global table
		// globalTable has already been saved at IMPORT.

#if DO_DEBUG
		y2debug ("Create module table");
#endif

		globalTable = p_parser->m_current_block->table ();
		p_parser->scanner()->initTables (globalTable, 0);
#if DO_DEBUG
		y2debug ("overlaying globalTable %p", globalTable);
#endif

		inside_module = true;
		
		delete[] name; // SymbolEntry uses Ustring

		yyval.t = Type::Unspec;
		yyval.c = 0;
	    }
#line 3687 "parser.cc"
    break;

  case 62: /* statement: INCLUDE STRING ';'  */
#line 1590 "parser.yy"
            {
	    
		// check, if it is not included yet in the current block
		
		// FIXME: where is the $2.v.sval freed?
		
		if (p_parser->m_block_stack->theBlock->isIncluded (yyvsp[-1].v.sval)) 
		{
#if DO_DEBUG
		    y2debug ("Skipping reinclude of the file %s in block", yyvsp[-1].v.sval);
#endif
		    yyval.c = new YSInclude (yyvsp[-1].v.sval, yyvsp[-1].l, true);
		    yyval.l = yyvsp[-2].l;
		    yyval.t = Type::Unspec;
                    RULE_COMMENT(yyvsp[-2]);
                    RULE_COMMENT(yyvsp[-1]);
                    RULE_COMMENT(yyvsp[0]);
		    
		    delete[] yyvsp[-1].v.sval;

		    break;
		}

		// TODO better error reporting?
		// like: could not find foo.ycp in /include, /a/include.
		// It will return an empty string on failure
		string fn = YCPPathSearch::findInclude (yyvsp[-1].v.sval);
		if (fn.empty())
		{
		    yyFerror (yyvsp[-1].v.sval, yyvsp[-2].l);
		    delete[] yyvsp[-1].v.sval;
		    yyval.t = 0;
		    break;
		}

#if DO_DEBUG
		y2debug ("include %s:%s", yyvsp[-1].v.sval, fn.c_str());
#endif
		int fd = open (fn.c_str(), O_RDONLY);
		if (fd < 0)
		{
		    yyFerror (fn.c_str(), yyvsp[-2].l);
		    delete[] yyvsp[-1].v.sval;
		    yyval.t = 0;
		    break;
		}
		

		scannerstack_t *scanner = new (scannerstack_t);
		scanner->down = 0;
		scanner->filename = FILE_NOW;		// save current filename
		scanner->linenumber = yyvsp[-2].l;
		scanner->scanner = p_parser->scanner();
		scanner->state = SCAN_START_INCLUDE;	// see start_block()
		scanner->old_textdomain = p_parser->m_block_stack->textdomain;

		scannerstack_push (p_parser->m_scanner_stack, scanner);

#if DO_DEBUG
		y2debug ("new scanner at %s:%d, yychar [%d], now %p for %s", FILE_NOW.c_str(), yyvsp[-2].l, yychar, p_parser->scanner(), yyvsp[-1].v.sval);
#endif
		p_parser->m_block_stack->theBlock->newEntry (yyvsp[-1].v.sval, SymbolEntry::c_filename, Type::Unspec, yyvsp[-2].l);

		// we duplicate the value, so scanner gets its own instance
		p_parser->setScanner (new Scanner (fd, Scanner::doStrdup(yyvsp[-1].v.sval)));
		p_parser->setBuffered(); // was missing, bnc#629882

		// pass the outer scanner's tables
		p_parser->scanner()->initTables (scanner->scanner->globalTable(), scanner->scanner->localTable());

#if DO_DEBUG
		y2debug ("new scanner at %s:%d, yychar [%d], now %p for %s", FILE_NOW.c_str(), yyvsp[-2].l, yychar, p_parser->scanner(), yyvsp[-1].v.sval);
#endif
		yyval.c = new YSInclude (yyvsp[-1].v.sval, scanner->linenumber);
		p_parser->m_block_stack->theBlock->addIncluded (yyvsp[-1].v.sval);
		yyval.l = yyvsp[-2].l;
		yyval.t = Type::Unspec;
                RULE_COMMENT(yyvsp[-2]);
                RULE_COMMENT(yyvsp[-1]);
                RULE_COMMENT(yyvsp[0]);

		delete[] yyvsp[-1].v.sval;
	    }
#line 3775 "parser.cc"
    break;

  case 63: /* statement: IMPORT STRING ';'  */
#line 1674 "parser.yy"
            {
		const char *name = yyvsp[-1].v.sval;
#if DO_DEBUG
		y2debug ("import '%s'", name);
#endif
		yyval.c = 0;
		yyval.l = yyvsp[-2].l;
		yyval.t = Type::Unspec;

		// check existance of module

		TableEntry *tentry = p_parser->scanner()->localTable()->find (name, SymbolEntry::c_module);

		string module = name;
		delete [] name;

		if (tentry == 0)
		{
		    if (module == p_parser->m_current_block->name())
		    {
			yywarning("Ignoring self-import", yyvsp[-2].l);
			break;
		    }

		    YaST::ee.setLinenumber(yyvsp[-2].l);			// if YSImport logs an error
		    YaST::ee.setFilename(p_parser->scanner()->filename());
		    YSImportPtr imp = new YSImport (module, yyvsp[-2].l);
		    if (imp->name().empty())
		    {
			yyNoModule (module.c_str(), yyvsp[-2].l);
			yyval.t = 0;
			break;
		    }

		    Y2Namespace *name_space = imp->nameSpace();
		    if (name_space == 0)
		    {
			yyNoModule (module.c_str(), yyvsp[-2].l);
			yyval.t = 0;
			break;
		    }
		    
		    tentry = p_parser->m_block_stack->theBlock->newNamespace (module, name_space, yyvsp[-2].l);
		    if (tentry == 0)
		    {
			yyNoModule (module.c_str(), yyvsp[-2].l);
			yyval.t = 0;
			break;
		    }
		    p_parser->scanner()->localTable()->enter (tentry);
		    yyval.c = imp;
		}
                else
                {
                    if (parsing_comments()) //do not optimize import if we need all statements
              		      yyval.c = new YSImport (module, yyvsp[-2].l);
                    else
                        yyval.c = NULL;
                }
                RULE_COMMENT(yyvsp[-2]);
                RULE_COMMENT(yyvsp[-1]);
                RULE_COMMENT(yyvsp[0]);
	    }
#line 3843 "parser.cc"
    break;

  case 65: /* statement: TEXTDOMAIN STRING ';'  */
#line 1739 "parser.yy"
            {
		yyval.t = Type::Unspec;
		YSTextdomainPtr c = new YSTextdomain (yyvsp[-1].v.sval, yyvsp[-2].l);		// YSTextdomain will copy $2.v.sval into an Ustring
		delete [] yyvsp[-1].v.sval;
		p_parser->m_block_stack->textdomain = c->domain();		// get the Ustring char pointer
		yyval.c = c;
		yyval.l = yyvsp[-2].l;
                RULE_COMMENT(yyvsp[-2]);
                RULE_COMMENT(yyvsp[-1]);
                RULE_COMMENT(yyvsp[0]);
	    }
#line 3859 "parser.cc"
    break;

  case 66: /* statement: EXPORT identifier_list ';'  */
#line 1751 "parser.yy"
            {
		yyval.c = 0;
		yyval.t = Type::Unspec;
	    }
#line 3868 "parser.cc"
    break;

  case 67: /* statement: TYPEDEF type identifier ';'  */
#line 1756 "parser.yy"
            {
		if (yyvsp[-2].t->isUnspec())			// bad type
		{
		    yyval.t = 0;
		    break;
		}

		if (!(yyvsp[-1].t)->isUnspec ())		// known identifier
		{
		    yyLerror ("typedef symbol already declared", yyvsp[-1].l);
		    yyval.t = 0;
		    break;
		}

		TableEntry *tentry = p_parser->m_block_stack->theBlock->newEntry (yyvsp[-1].v.nval, SymbolEntry::c_typedef, yyvsp[-2].t, yyvsp[-3].l);
		if (tentry == 0)		/* can't happen ... since we check above for known identifier */
		{
		    yyLerror ("typedef symbol duplicate", yyvsp[-1].l);
		    yyval.t = 0;
		    break;
		}

		p_parser->scanner()->localTable()->enter (tentry);
		yyval.c = new YSTypedef (yyvsp[-1].v.nval, yyvsp[-2].t, yyvsp[-3].l);
		yyval.t = Type::Unspec;
                TOKEN_COMMENT(yyvsp[-3]);
                TOKEN_COMMENT(yyvsp[-2]);
                TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 3902 "parser.cc"
    break;

  case 69: /* statement: assignment ';'  */
#line 1787 "parser.yy"
            {
		if (yyvsp[-1].t == 0)
		{
		    yyval.t = 0;
		    break;
		}

		if (p_parser->m_block_stack->theBlock->isModule ())
		{
		    yyLerror ("Assignment not allowed in a module", yyvsp[-1].l);
		    yyval.t = 0;
		    break;
		}
                LAST_TOKEN_COMMENT(yyvsp[0]);
		yyval.c = yyvsp[-1].c;
		yyval.t = Type::Unspec;
		yyval.l = yyvsp[-1].l;
	    }
#line 3925 "parser.cc"
    break;

  case 70: /* statement: function_call ';'  */
#line 1806 "parser.yy"
            {
#if DO_DEBUG
		y2debug ("statement: function call");
#endif
		if (yyvsp[-1].t == 0)
		{
		    yyval.t = 0;
		    break;
		}

		if (p_parser->m_block_stack->theBlock->isModule ())
		{
		    yyLerror ("Function call not allowed in a module", yyvsp[-1].l);
		    yyval.t = 0;
		    break;
		}

                LAST_TOKEN_COMMENT(yyvsp[0]);
		yyval.c = new YSExpression (yyvsp[-1].c, yyvsp[-1].l);
		yyval.t = Type::Unspec;
		yyval.l = yyvsp[-1].l;
	    }
#line 3952 "parser.cc"
    break;

  case 71: /* statement: block  */
#line 1829 "parser.yy"
            {
		if (yyvsp[0].t == 0)
		{
		    yyval.t = 0;
		    break;
		}

		// include block has code NULL
		if (p_parser->m_block_stack->theBlock->isModule () && yyvsp[0].c != 0)
		{
		    yyLerror ("Block not allowed in a module", yyvsp[0].l);
		    yyval.t = 0;
		    break;
		}

		if (yyvsp[0].c == 0)				// block empty
		{
		    yyval.c = 0;
		    yyval.t = Type::Unspec;
		    break;
		}

		yyval.c = new YSBlock (yyvsp[0].c, yyvsp[0].l);
		yyval.t = yyvsp[0].t;				// might contain a 'return' statement
		yyval.l = yyvsp[0].l;
	    }
#line 3983 "parser.cc"
    break;

  case 72: /* statement: control_statement  */
#line 1856 "parser.yy"
            {
		if (yyvsp[0].t != 0
		    && p_parser->m_block_stack->theBlock->isModule ())
		{
		    yyLerror ("Statement not allowed in a module", yyvsp[0].l);
		    yyval.t = 0;
		    break;
		}
		yyval = yyvsp[0];
	    }
#line 3998 "parser.cc"
    break;

  case 73: /* statement: CASE expression ':'  */
#line 1867 "parser.yy"
            {
		if (yyvsp[-1].t == 0)
		{
		    yyval.t = 0;
		    break;
		}
		
		// verify that we are in switch
		if (! p_parser->m_switch_stack)
		{
		    yyLerror ("case expression not allowed outside of switch statement", yyvsp[-2].l);
		    yyval.t = 0;
		    break;
		}

                TOKEN_COMMENT(yyvsp[-2]);
                LAST_TOKEN_COMMENT(yyvsp[0]);

		YCPValue val = yyvsp[-1].c->evaluate (true);
		if (val.isNull ())
		{
		    yyLerror ("case expression must be constant", yyvsp[-2].l);

		    yyval.t = 0;
		    break;
		}

		YSSwitchPtr st = p_parser->m_switch_stack->statement;
		
		// check type
		if (st->conditionType ()->match (yyvsp[-1].c->type ()) != 0)
		{
		    yyTypeMismatch("Invalid constant type in the case statement"
			,st->conditionType (), yyvsp[-1].c->type (), yyvsp[-2].l);
		    yyval.t = 0;
		    break;
		}
		
		bool non_duplicate = st->setCase (val);

		if (! non_duplicate)
		{
		    yyLerror ("Duplicate case expression", yyvsp[-2].l);
		    yyval.t = 0;
		    break;
		}
		
		yyval.t = Type::Void;
		yyval.c = 0;	// no code
	    }
#line 4053 "parser.cc"
    break;

  case 74: /* statement: DEFAULT ':'  */
#line 1918 "parser.yy"
            {
		if (yyvsp[0].t == 0)
		{
		    yyval.t = 0;
		    break;
		}

		// verify that we are in switch
		if (! p_parser->m_switch_stack)
		{
		    yyLerror ("'default' not allowed outside of switch statement", yyvsp[-1].l);
		    yyval.t = 0;
		    break;
		}

		bool non_duplicate = 
		    p_parser->m_switch_stack->statement->setDefaultCase ();

		if (! non_duplicate)
		{
		    yyLerror ("Duplicate 'default' expression", yyvsp[-1].l);
		    yyval.t = 0;
		    break;
		}
		
		yyval.t = Type::Void;
		yyval.c = 0;	// no code
                RULE_COMMENT(yyvsp[-1]);
                RULE_COMMENT(yyvsp[0]);
	    }
#line 4088 "parser.cc"
    break;

  case 75: /* control_statement: IF '(' expression ')' statement opt_else  */
#line 1952 "parser.yy"
            {
		if ((yyvsp[-3].t == 0)			// bad expression
		    || (yyvsp[-1].t == 0)		// bad 'then' statement
		    || (yyvsp[0].t == 0))		// bad 'else' statement
		{
		    yyval.t = 0;
		    break;
		}

		if (!yyvsp[-3].t->isBoolean())
		{
		    yyTypeMismatch ("'if' expression not boolean", Type::Boolean, yyvsp[-3].t, yyvsp[-3].l);
		    yyval.t = 0;
		    break;
		}

		if ((yyvsp[-1].c != 0)				// 'then' statement not empty
		    && ((yyvsp[-1].c->kind() == YCode::ysVariable)
			|| (yyvsp[-1].c->kind() == YCode::ysFunction)))
		{
		    yyLerror ("Declaration must be inside block", yyvsp[-1].l);
		    yyval.t = 0;
		    break;
		}

		if (yyvsp[0].c == 0)			// no else
		{
		    yyval.c = new YSIf (yyvsp[-3].c, yyvsp[-1].c, yyvsp[0].c, yyvsp[-5].l);
		    yyval.t = yyvsp[-1].t;
		}
		else			// else branch given
		{
		    constTypePtr thentype = yyvsp[-1].t;
		    constTypePtr elsetype = yyvsp[0].t;
		    
		    //There used to be a Type::Unspec -> Type::Void conversion here. It was wrong.
		    // See the comment about types at the "expression" rule.
		    
		    // if one of types is void (=nil), use the other one 
		    if (thentype->isNil ())
		    {
			yyval.t = elsetype;
		    }
		    else if (elsetype->isNil ())
		    {
			yyval.t = thentype;
		    }
		    else yyval.t = thentype->commontype (elsetype);

		    if (false) ;					// FIXME
		    else if ((yyvsp[0].c->kind() == YCode::ysVariable)
			     || (yyvsp[0].c->kind() == YCode::ysFunction))
		    {
			yyLerror ("Declaration must be inside block", yyvsp[0].l);
			yyval.t = 0;
		    }
		    else
		    {
			yyval.c = new YSIf (yyvsp[-3].c, yyvsp[-1].c, yyvsp[0].c, yyvsp[-5].l);
		    }
		}
                // if ( expr ) statement opt_else
                RULE_COMMENT(yyvsp[-5]);
                TOKEN_COMMENT(yyvsp[-4]);
                LAST_TOKEN_COMMENT(yyvsp[-2]);

		if (yyvsp[-1].c == 0)
		{
		    yywarning("Empty statement after 'if'", yyvsp[-5].l);
		}

	    }
#line 4165 "parser.cc"
    break;

  case 76: /* @4: %empty  */
#line 2025 "parser.yy"
            {
		if (yyvsp[-1].t == 0)
		{
		    yyval.t = 0;
		    break;
		}

		p_parser->m_loop_count++;

		if (!yyvsp[-1].t->isBoolean())
		{
		    yyTypeMismatch ("'while' expression not boolean", Type::Boolean, yyvsp[-1].t, yyvsp[-1].l);
		    yyval.t = 0;
		}
		else
		{
                    TOKEN_COMMENT(yyvsp[-2]);
                    LAST_TOKEN_COMMENT(yyvsp[0]);
		    yyval = yyvsp[-1];
		}
	    }
#line 4191 "parser.cc"
    break;

  case 77: /* control_statement: WHILE '(' expression ')' @4 statement  */
#line 2047 "parser.yy"
            {
		p_parser->m_loop_count--;
		if ((yyvsp[-1].t == 0)
		    || (yyvsp[0].t == 0))
		{
		    yyval.t = 0;
		}
		else
		{
		    if ((yyvsp[0].c != 0)				// statement not empty
			&& ((yyvsp[0].c->kind() == YCode::ysVariable)
			    || (yyvsp[0].c->kind() == YCode::ysFunction)))
		    {
			yyLerror ("Declaration must be inside block", yyvsp[0].l);
			yyval.t = 0;
		    }
		    else
		    {
			yyval.c = new YSWhile (yyvsp[-1].c, yyvsp[0].c, yyvsp[-5].l);
                        // the rest are in a mid-rule action above
                        RULE_COMMENT(yyvsp[-5]);
		    }

		    if (yyvsp[0].c == 0)
		    {
			yywarning("Empty statement after 'while'", yyvsp[-5].l);
		    }
		    yyval.t = yyvsp[0].t;
		}
		yyval.l = yyvsp[-5].l;
	    }
#line 4227 "parser.cc"
    break;

  case 78: /* $@5: %empty  */
#line 2079 "parser.yy"
            {
		p_parser->m_loop_count++;
		do_while_count++;
	    }
#line 4236 "parser.cc"
    break;

  case 79: /* @6: %empty  */
#line 2084 "parser.yy"
            {
		p_parser->m_loop_count--;
		do_while_count--;
		if (yyvsp[0].t == 0)
		{
		    yyval.t = 0;
		    break;
		}

		if (yyvsp[0].c == 0)
		    yywarning("Empty block after 'do'", yyvsp[-2].l);
	    }
#line 4253 "parser.cc"
    break;

  case 80: /* control_statement: DO $@5 block @6 WHILE '(' expression ')' ';'  */
#line 2097 "parser.yy"
            {
		if (yyvsp[-2].t == 0)
		{
		    yyval.t = 0;
		    break;
		}

		if (!yyvsp[-2].t->isBoolean())
		{
		    yyTypeMismatch ("'do-while' expression not boolean", Type::Boolean, yyvsp[-2].t, yyvsp[-2].l);
		    yyval.t = 0;
		}
		else
		{
		    yyval.c = new YSDo ((YBlockPtr)yyvsp[-6].c, yyvsp[-2].c, yyvsp[-8].l);
                    TOKEN_COMMENT_TO(yyvsp[-8], yyvsp[-6]);
                    TOKEN_COMMENT_TO(yyvsp[-4], yyvsp[-2]);
                    TOKEN_COMMENT_TO(yyvsp[-3], yyvsp[-2]);
                    LAST_TOKEN_COMMENT(yyvsp[-1]);
		}
		yyval.t = yyvsp[-6].t;
		yyval.l = yyvsp[-8].l;
	    }
#line 4281 "parser.cc"
    break;

  case 81: /* $@7: %empty  */
#line 2121 "parser.yy"
            {
		p_parser->m_loop_count++;
		repeat_count++;
	    }
#line 4290 "parser.cc"
    break;

  case 82: /* @8: %empty  */
#line 2126 "parser.yy"
            {
		p_parser->m_loop_count--;
		repeat_count--;
		if (yyvsp[0].t == 0)
		{
		    yyval.t = 0;
		    break;
		}
		if (yyvsp[0].c == 0)
		{
		    yywarning("Empty block after 'repeat'", yyvsp[-2].l);
		}
	    }
#line 4308 "parser.cc"
    break;

  case 83: /* control_statement: REPEAT $@7 block @8 UNTIL '(' expression ')' ';'  */
#line 2140 "parser.yy"
            {
		if (yyvsp[-2].t == 0)
		{
		    yyval.t = 0;
		    break;
		}

		if (!yyvsp[-2].t->isBoolean())
		{
		    yyTypeMismatch ("'repeat-until' expression not boolean", Type::Boolean, yyvsp[-2].t, yyvsp[-2].l);
		    yyval.t = 0;
		    break;
		}
		else
		{
		    yyval.c = new YSRepeat ((YBlockPtr)yyvsp[-6].c, yyvsp[-2].c, yyvsp[-8].l);
                    TOKEN_COMMENT_TO(yyvsp[-8], yyvsp[-6]);
                    TOKEN_COMMENT_TO(yyvsp[-4], yyvsp[-2]);
                    TOKEN_COMMENT_TO(yyvsp[-3], yyvsp[-2]);
                    LAST_TOKEN_COMMENT(yyvsp[-1]);
		}
		yyval.t = yyvsp[-6].t;
		yyval.l = yyvsp[-8].l;
	    }
#line 4337 "parser.cc"
    break;

  case 84: /* control_statement: BREAK ';'  */
#line 2165 "parser.yy"
            {
		if (p_parser->m_loop_count <= 0
		    && p_parser->m_switch_stack == 0)
		{
		    yyLerror ("'break' outside of loop.", yyvsp[-1].l);
		    yyval.t = 0;
		    break;
		}
		yyval.c = new YSBreak (yyvsp[-1].l);
		yyval.t = Type::Unspec;
		yyval.l = yyvsp[-1].l;
                RULE_COMMENT(yyvsp[-1]);
                RULE_COMMENT(yyvsp[0]);
	    }
#line 4356 "parser.cc"
    break;

  case 85: /* control_statement: CONTINUE ';'  */
#line 2180 "parser.yy"
            {
		if (do_while_count > 0)
		{
		    if (getenv ("Y2CONTINUE") != 0) yywarning ("CONTINUE IN DO-WHILE", yyvsp[-1].l);
		}
		if (repeat_count > 0)
		{
		    if (getenv ("Y2CONTINUE") != 0) yywarning ("CONTINUE IN REPEAT", yyvsp[-1].l);
		}
		if (p_parser->m_loop_count <= 0)
		{
		    yyLerror ("'continue' outside of loop.", yyvsp[-1].l);
		    yyval.t = 0;
		    break;
		}
		yyval.c = new YSContinue (yyvsp[-1].l);
		yyval.t = Type::Unspec;
		yyval.l = yyvsp[-1].l;
                RULE_COMMENT(yyvsp[-1]);
                RULE_COMMENT(yyvsp[0]);
	    }
#line 4382 "parser.cc"
    break;

  case 86: /* control_statement: RETURN ';'  */
#line 2202 "parser.yy"
            {
		yyval.t = Type::Void;			// differentiate "return;" from "return nil;" for type checking
		yyval.c = new YSReturn ((YCodePtr)0, yyvsp[-1].l);
		yyval.l = yyvsp[-1].l;
                RULE_COMMENT(yyvsp[-1]);
                RULE_COMMENT(yyvsp[0]);
	    }
#line 4394 "parser.cc"
    break;

  case 87: /* control_statement: RETURN expression ';'  */
#line 2210 "parser.yy"
            {
		if (yyvsp[-1].t == 0)
		{
		   yyval.t = 0;
		   break;
		}
		yyval.t = yyvsp[-1].t->isVoid() ? Type::Nil : yyvsp[-1].t;	// "return nil;" is of type 'Nil'
		yyval.c = new YSReturn (yyvsp[-1].c, yyvsp[-2].l);
		yyval.l = yyvsp[-2].l;
                RULE_COMMENT(yyvsp[-2]);
                LAST_TOKEN_COMMENT(yyvsp[0]);
	    }
#line 4411 "parser.cc"
    break;

  case 88: /* @9: %empty  */
#line 2223 "parser.yy"
            {
		// propagate errors
		if (yyvsp[-1].t == 0)
		{
		    yyval.t = 0;
		    break;
		}
		
		YSSwitchPtr sw = new YSSwitch (yyvsp[-1].c);

		// push to stack
		switchstack_t* top = new switchstack_t;
		top->statement = sw;
		switchstack_push (p_parser->m_switch_stack, top);
		
		in_switch = true;
	    }
#line 4433 "parser.cc"
    break;

  case 89: /* control_statement: SWITCH '(' expression ')' @9 block  */
#line 2241 "parser.yy"
            {
		// cleanup, just in case
		in_switch = false;
		
		// pop from stack
		switchstack_t* top = switchstack_pop (p_parser->m_switch_stack);
		YSSwitchPtr sw = top->statement;
		delete top;

		// propagate errors
		if (yyvsp[0].t == 0)
		{
		    yyval.t = 0;
		    break;
		}

#if DO_DEBUG
		y2debug ("Finished switch: %s", sw->toString ().c_str ());
#endif
		yyval.t = Type::Unspec;
		yyval.c = sw;
                RULE_COMMENT(yyvsp[-5]);
                TOKEN_COMMENT(yyvsp[-4]);
                LAST_TOKEN_COMMENT(yyvsp[-2]);
	    }
#line 4463 "parser.cc"
    break;

  case 90: /* opt_else: ELSE statement  */
#line 2270 "parser.yy"
            {
		yyval = yyvsp[0];
                TOKEN_COMMENT(yyvsp[-1]);
 	    }
#line 4472 "parser.cc"
    break;

  case 91: /* opt_else: %empty  */
#line 2275 "parser.yy"
            {
		yyval.c = 0;
	  yyval.com = "";
    yyval.t = Type::Unspec;
	    }
#line 4482 "parser.cc"
    break;

  case 93: /* type: LIST  */
#line 2288 "parser.yy"
                                        { yyval.t = Type::List; }
#line 4488 "parser.cc"
    break;

  case 94: /* type: LIST '<' type_gt  */
#line 2289 "parser.yy"
                                        { yyval.t = ListTypePtr ( new ListType (yyvsp[0].t)); }
#line 4494 "parser.cc"
    break;

  case 95: /* type: MAP  */
#line 2290 "parser.yy"
                                        { yyval.t = Type::Map; }
#line 4500 "parser.cc"
    break;

  case 96: /* type: MAP '<' type ',' type_gt  */
#line 2291 "parser.yy"
                                        { yyval.t = MapTypePtr ( new MapType (yyvsp[-2].t, yyvsp[0].t)); }
#line 4506 "parser.cc"
    break;

  case 97: /* type: BLOCK '<' type_gt  */
#line 2292 "parser.yy"
                                        { yyval.t = BlockTypePtr ( new BlockType (yyvsp[0].t)); }
#line 4512 "parser.cc"
    break;

  case 98: /* type: CONST type  */
#line 2293 "parser.yy"
                                        { TypePtr t = yyvsp[0].t->clone(); t->asConst();
					  if (!t->isConst())  yywarning ("Bogus 'const'", yyvsp[0].l);
					  yyval.t = t;
					}
#line 4521 "parser.cc"
    break;

  case 99: /* type: type '&'  */
#line 2297 "parser.yy"
                                        { TypePtr t = yyvsp[-1].t->clone(); t->asReference();
					  if (!t->isReference())  yywarning ("Bogus '&'", yyvsp[-1].l);
					  yyval.t = t;
					}
#line 4530 "parser.cc"
    break;

  case 100: /* type: type '(' ')'  */
#line 2301 "parser.yy"
                                        { yyval.t = FunctionTypePtr ( new FunctionType (yyvsp[-2].t)); }
#line 4536 "parser.cc"
    break;

  case 101: /* type: type '(' types ')'  */
#line 2302 "parser.yy"
                                        { yyval.t = new FunctionType ( yyvsp[-3].t, (constFunctionTypePtr)yyvsp[-1].t); }
#line 4542 "parser.cc"
    break;

  case 102: /* type_gt: type '>'  */
#line 2307 "parser.yy"
                                        { yyval.t = yyvsp[-1].t; }
#line 4548 "parser.cc"
    break;

  case 103: /* type_gt: type RIGHT  */
#line 2308 "parser.yy"
                                        { yyLerror ("Missing blank between '>' and '>'", yyvsp[0].l); yyval.t = yyvsp[-1].t; }
#line 4554 "parser.cc"
    break;

  case 104: /* types: type  */
#line 2312 "parser.yy"
                                { FunctionTypePtr t = Type::Function(Type::Unspec);	// not a real function, just a container for the parameter types
				  t->concat (yyvsp[0].t); yyval.t = t; }
#line 4561 "parser.cc"
    break;

  case 105: /* types: types ',' type  */
#line 2314 "parser.yy"
                                { FunctionTypePtr t = yyvsp[-2].t->clone(); t->concat (yyvsp[0].t); yyval.t = t; }
#line 4567 "parser.cc"
    break;

  case 106: /* definition: opt_global DEFINE identifier '('  */
#line 2324 "parser.yy"
            {
		yyLerror ("type specifier missing after 'define'", yyvsp[-2].l);
		yyval.t = 0;
	    }
#line 4576 "parser.cc"
    break;

  case 107: /* definition: function_start ';'  */
#line 2329 "parser.yy"
            {
		if (yyvsp[-1].t == 0)	// error in declaration, parameter block not on stack
		{
		    yyval.t = 0;
		    break;
		}

		// back to old type restriction for current block
		declared_return_type = yyvsp[-1].t;

		// end parameter block
		//
		// pop block from block stack
		// unlink local symbols from symbol table

#if DO_DEBUG
		y2debug ("parameter block end");
#endif
		blockstack_t *top = blockstack_pop (p_parser->m_block_stack);
		top->theBlock->detachEnvironment (p_parser->scanner()->localTable());		// detach local table

		yyval.c = 0;
		yyval.t = Type::Unspec;
		yyval.l = yyvsp[-1].l;
	    }
#line 4606 "parser.cc"
    break;

  case 108: /* definition: function_start block  */
#line 2355 "parser.yy"
            {
		// back to old type restriction for current block
		declared_return_type = yyvsp[-1].t;

		if (yyvsp[-1].t == 0)			// error in function_start, parameter block not on stack
		{
		    yyval.t = 0;
		    declared_return_type = Type::Unspec;
		    y2debug ("error in function_start, parameter block not on stack");
		    break;
		}

		// end parameter block _after_ definition block
		//
		// pop block from block stack
		// unlink local symbols from symbol table

#if DO_DEBUG
		y2debug ("parameter block end");
#endif
		blockstack_t *top = blockstack_pop (p_parser->m_block_stack);
		top->theBlock->detachEnvironment (p_parser->scanner()->localTable());		// detach local table

		if (yyvsp[0].t == 0)			// error in block
		{
		    yyval.t = 0;
		    break;
		}
#if DO_DEBUG
		y2debug ("block type '%s'", yyvsp[0].t->toString().c_str());
#endif
		if (yyvsp[0].c == 0)						// empty function definition
		{
		    constTypePtr type = yyvsp[-1].v.tval->sentry ()->type ();
		    if (!type->isFunction () )
		    {
			y2internal ("Internal error: Expected function type, found %s", type->toString ().c_str());
			yyval.t = 0;
			break;
		    }
		    
		    // get the return type
		    type = ((constFunctionTypePtr)type)->returnType ();
		    if (type->isVoid ())
		    {
			yywarning ("Empty function definition", yyvsp[-1].l);
			YBlockPtr block = new YBlock (p_parser->m_current_block->point());
			block->attachStatement (new YSReturn((YCodePtr)0, yyvsp[-1].l));
			yyvsp[0].c = block;
		    }
		    else
		    {
			yyLerror ("Empty function definition for function not returning void", yyvsp[-1].l);
			yyval.t = 0;
			break;
		    }
		}
		else
		{
		    if (!yyvsp[0].t->isVoid()					// non-void function
			&& found_return_type->isUnspec())		// no 'return' statement found
		    {
			yyLerror ("No return statement in non-void function definition", yyvsp[0].l);
			yyval.t = 0;
			break;
		    }
		}
								// link the function entry with the function definition
		YSymbolEntryPtr entry = (YSymbolEntryPtr)yyvsp[-1].v.tval->sentry();
		YFunctionPtr func = (YFunctionPtr)(entry->code());
		func->setDefinition ((YBlockPtr)yyvsp[0].c);
		yyval.c = new YSFunction (entry, yyvsp[-1].l);
		yyval.t = Type::Unspec;			// function def is typeless
		yyval.l = yyvsp[-1].l;

#if DO_DEBUG
		y2debug ("Func (%s) done", yyval.c->toString().c_str());
#endif
	    }
#line 4690 "parser.cc"
    break;

  case 109: /* definition: opt_global_identifier '=' expression ';'  */
#line 2435 "parser.yy"
            {
		if ((yyvsp[-3].t == 0)
		    || (yyvsp[-1].t == 0))
		{
#if DO_DEBUG
		    y2debug ("Bad identifier (%p) or expression (%p)", (const void *)yyvsp[-3].t, (const void *)yyvsp[-1].t);
#endif
		    yyval.t = 0;
		    break;
		}

		check_void_assign (&(yyvsp[-3]), &(yyvsp[-1]));

		TableEntry *tentry = yyvsp[-3].v.tval;

		if (tentry->sentry()->isFunction()
		    || tentry->sentry()->isBuiltin())
		{
		    yyTerror ("variable definition shadows function", yyvsp[-3].l, tentry);
		    yyval.t = 0;
		    break;
	//	    tentry->remove();
		}
		else
		{
		    int match = yyvsp[-1].t->match (yyvsp[-3].t);
#if DO_DEBUG
		    y2debug ("Assign '%s' = '%s' -> %d", yyvsp[-3].t->toString().c_str(), yyvsp[-1].t->toString().c_str(), match);
#endif
		    if (match < 0)				// no match
		    {
			if (yyvsp[-3].t->isBlock()			// lhs is block
			    && yyvsp[-1].c->isBlock())			// rhs is also block
			{
			    TypePtr bt = BlockTypePtr (new BlockType (yyvsp[-1].t));		// don't evaluate block
			    yyvsp[-1].c = new YEReturn (yyvsp[-1].c);

			    match = bt->match (yyvsp[-3].t);
			    if (match == 0)
			    {
				yyvsp[-1].t = bt;
			    }
			    else if (match > 0)
			    {
				yyvsp[-1].c = new YEPropagate (yyvsp[-1].c, yyvsp[-1].t, yyvsp[-3].t);
				yyvsp[-1].t = bt;
			    }
			    
			}
		        if (match < 0)
			{
			    yyTypeMismatch ("type mismatch in variable definition", yyvsp[-3].t, yyvsp[-1].t, yyvsp[-3].l);
			    yyval.t = 0;
			    break;
//			    tentry->remove();
			}
		    }
		    else if (match > 0)		// propagated match
		    {
			YaST::ee.setLinenumber(yyvsp[-1].l);
			yyvsp[-1].c = new YEPropagate (yyvsp[-1].c, yyvsp[-1].t, yyvsp[-3].t);
			match = 0;
		    }
		    
		    YSymbolEntryPtr sentry = (YSymbolEntryPtr) tentry->sentry ();

		    if (match == 0)		// type match ok
		    {
			yyval.c = new YSVariable (tentry->sentry(), yyvsp[-1].c, yyvsp[-3].l);
			sentry->setCode(yyvsp[-1].c);
                        RULE_COMMENT(yyvsp[-3]);
                        RULE_COMMENT(yyvsp[-2]);
                        LAST_TOKEN_COMMENT(yyvsp[0]);
		    }
		    if (sentry->category() == SymbolEntry::c_unspec)
		    {
			sentry->setCategory (yyvsp[-3].t->isReference() ? SymbolEntry::c_reference : SymbolEntry::c_variable);
		    }
		}

		yyval.l = yyvsp[-3].l;
		yyval.t = Type::Unspec;
	    }
#line 4778 "parser.cc"
    break;

  case 110: /* function_start: opt_global_identifier '(' tupletypes ')'  */
#line 2539 "parser.yy"
            {
		if ((yyvsp[-3].t == 0)
		    || (yyvsp[-1].t == 0))
		{
#if DO_DEBUG
		    y2debug ("Bad identifier (%p) or parameters (%p)", (const void *)yyvsp[-3].t, (const void *)yyvsp[-1].t);
#endif
		    yyval.t = 0;
		    break;
		}

		/*
		   $1:	$1.v.tval == entry

		   $3 == tupletypes (linked list of table entries)
		 */

		// count and check formal parameters

		formalparam_t *formalp = yyvsp[-1].v.fpval;

		// start parameter block before parameter checking, it's popped in any case
#if DO_DEBUG
		y2debug ("start parameter block for '%s()'", (yyvsp[-3].t) ? yyvsp[-3].v.tval->sentry()->name() : "<err>");
#endif
		// if the scanner still think it's an include, teach him
		// this allows include without closed in a block
		if ((p_parser->m_scanner_stack != 0)
    		    && (p_parser->m_scanner_stack->state == SCAN_START_INCLUDE))
		{
		    p_parser->m_scanner_stack->state = SCAN_INCLUDE;
		}
		
		// start with the declared return type
		YBlockPtr parameter_block = start_block (p_parser, yyvsp[-3].t);

		// get the functions symbol entry
		YSymbolEntryPtr fentry = (YSymbolEntryPtr) yyvsp[-3].v.tval->sentry();

		// remember the prototype, if set for later checking
		constTypePtr prototype = Type::Unspec;
		if (fentry->onlyDeclared())
		{
		    prototype = fentry->type();
#if DO_DEBUG
		    y2debug ("prototype: %s", prototype->toString().c_str());
#endif
		}

		// it's a function
		fentry->setCategory (SymbolEntry::c_function);

		// create new function
		YFunctionPtr func = new YFunction (parameter_block, fentry);
		fentry->setCode (func);

		yyval.c = func;
		yyval.v.tval = yyvsp[-3].v.tval;
		yyval.l = yyvsp[-3].l;
                RULE_COMMENT(yyvsp[-3]);
                RULE_COMMENT(yyvsp[-2]);
                RULE_COMMENT(yyvsp[-1]);
                RULE_COMMENT(yyvsp[0]);

		// build function type

		FunctionTypePtr ftype (new FunctionType (yyvsp[-3].t));

		// save the current declared_return_type on the '$$' stack
		yyval.t = declared_return_type;
		// start with this functions declared return type
		declared_return_type = yyvsp[-3].t;

		// used for tracking 'return' statements inside the function definition
		found_return_type = Type::Unspec;

		// loop through formalparam_t, adding each formal
		//  parameter to the function definition (private block)

		while (formalp != 0)				// while we have parameters
		{
#if DO_DEBUG
		    y2debug ("formal param '%s %s'@%d", formalp->type->toString().c_str(), formalp->name, formalp->line);
#endif

		    if (formalp->type->isReference()
			&& formalp->type->isAny())
		    {
			// #97956
			yyLerror ("Reference to 'any' not allowed", formalp->line);

			// to properly delete a function, also the corresponding SymbolEntry must be
			// adapted (so it does not try to access the YFunction anymore)
			fentry->setCategory (SymbolEntry::c_unspec);
			func = 0;

			yyval.t = 0;
			break;
		    }

		    // compute function type

		    ftype->concat (formalp->type);

		    // create symbol entry for formal parameter

		    TableEntry *tentry = parameter_block->newEntry (formalp->name, formalp->type->isReference() ? SymbolEntry::c_reference : SymbolEntry::c_variable, formalp->type, yyvsp[-3].l);
		    if (tentry == 0)
		    {
			yyLerror ("Duplicate parameter", formalp->line);
			blockstack_pop (p_parser->m_block_stack);
			parameter_block->detachEnvironment (p_parser->scanner()->localTable());
			yyval.t = 0;
			
			// to properly delete a function, also the corresponding SymbolEntry must be
			// adapted (so it does not try to access the YFunction anymore)
			fentry->setCategory (SymbolEntry::c_unspec);
			func = 0;
			break;
		    }
		    p_parser->scanner()->localTable()->enter (tentry);

		    formalparam_t *next = formalp->next;
		    delete formalp;
		    formalp = next;

		}  // while parameters present

		if (func != 0)			// no errors during parameter scan
		{

		    if (!prototype->isUnspec())			// if we had a prototype before
		    {
			if (! ftype->equals (prototype))		// check if definition is equivalent
			{
			    yyTerror ("Redeclaration with different type", yyvsp[-3].l, yyvsp[-3].v.tval);
			    yyTypeMismatch ("", prototype, ftype, yyvsp[-3].l);
			    blockstack_pop (p_parser->m_block_stack);
			    parameter_block->detachEnvironment (p_parser->scanner()->localTable());
			    fentry->setCategory (SymbolEntry::c_unspec);
			    yyval.t = 0;
			    break;
			}
		    }

#if DO_DEBUG
		    y2debug ("func '%s'", func->toString().c_str());
		    y2debug ("ftype (%s:%s)", fentry->name(), ftype->toString().c_str());
#endif
		    fentry->setType (ftype);
#if DO_DEBUG
		    y2debug ("sentry (%s)", fentry->toString().c_str());
#endif
		}
	    }
#line 4938 "parser.cc"
    break;

  case 111: /* opt_global_identifier: opt_global opt_define type identifier  */
#line 2706 "parser.yy"
            {
		yyval.t = yyvsp[-1].t;
		yyval.l = yyvsp[0].l;

		if ((yyvsp[0].t)->isUnspec ())
		{
		    // new symbol

#if DO_DEBUG
		    y2debug ("new %s symbol <%s>'%s'", (yyvsp[-3].v.bval) ? "global" : "local", yyvsp[-1].t->toString().c_str(), yyvsp[0].v.nval);
#endif
		    yyval.v.tval = p_parser->m_block_stack->theBlock->newEntry (yyvsp[0].v.nval, (yyvsp[-3].v.bval) ? SymbolEntry::c_global : SymbolEntry::c_unspec, yyvsp[-1].t, yyvsp[0].l);
		}
		else if (yyvsp[0].v.tval->sentry()->onlyDeclared())
		{
		    SymbolEntryPtr fentry = yyvsp[0].v.tval->sentry();

		    // declared, but not defined function (!) symbol
		    // check if the current declaration matches

		    if (yyvsp[-3].v.bval != (fentry->isGlobal()))
		    {
			yyTerror ("Redeclaration has different global scope", yyvsp[0].l, yyvsp[0].v.tval);
			yyval.t = 0;
			break;
		    }

		    // onlyDeclared() above ensures that this is a function

		    constFunctionTypePtr ftype = (constFunctionTypePtr)(fentry->type());

		    if (ftype->returnType()->match (yyvsp[-1].t) != 0)
		    {
			yyTerror ("Redeclaration with different type", yyvsp[0].l, yyvsp[0].v.tval);
			yyTypeMismatch ("", ftype->returnType(), yyvsp[-1].t, yyvsp[0].l);
			yyval.t = 0;
			break;
		    }

		    yyvsp[0].v.tval->makeDefinition (yyvsp[0].l);
		    yyval.v.tval = yyvsp[0].v.tval;

		    break;					// don't re-enter it to the table !
		}
		else if (yyvsp[-3].v.bval)		// global redeclaration
		{
		    if (yyvsp[0].v.tval->sentry()->isGlobal())
		    {
			yyTerror ("Redefinition of global symbol", yyvsp[0].l, yyvsp[0].v.tval);
			yyval.t = 0;
			break;
		    }
		    else
		    {
			yyTerror ("Global definition shadows local symbol", yyvsp[0].l, yyvsp[0].v.tval);
			yyval.t = 0;
			break;
		    }
		}
		else				// local redeclaration
		{
		    if (yyvsp[0].v.tval->sentry()->isGlobal())
		    {
			if (yyvsp[0].v.tval->sentry()->isBuiltin())
			{
			    yyTerror ("Definition shadows builtin", yyvsp[0].l, yyvsp[0].v.tval);
			    yyval.t = 0;
			    break;
			}
			else
			{
			    yywarning ("Definition shadows global symbol", yyvsp[0].l);
			    yyTwarning (yyvsp[0].v.tval);
			    yyval.v.tval = p_parser->m_block_stack->theBlock->newEntry (yyvsp[0].v.tval->key(), SymbolEntry::c_unspec, yyvsp[-1].t, yyvsp[0].l);
			}
		    }
		    else if (yyvsp[0].v.tval->sentry()->nameSpace() == p_parser->m_block_stack->theBlock->nameSpace())
		    {
			yyTerror ("Redefinition of local symbol", yyvsp[0].l, yyvsp[0].v.tval);
			yyval.t = 0;
			break;
		    }
		    else
		    {
			// yywarning ("Definition shadows local symbol", $4.l);

			yyval.v.tval = p_parser->m_block_stack->theBlock->newEntry (yyvsp[0].v.tval->key(), SymbolEntry::c_unspec, yyvsp[-1].t, yyvsp[0].l);
		    }
		}

		if (yyval.v.tval == 0)		// bad identifier, exit here
		{
#if DO_DEBUG
		    y2debug ("bad identifier");
#endif
		    yyval.t = 0;
		    break;
		}

		if (yyvsp[-3].v.bval)
		{
#if DO_DEBUG
		    y2debug ("enter (%s) to global table %p", yyval.v.tval->toString().c_str(), p_parser->scanner()->globalTable());
#endif
		    p_parser->scanner()->globalTable()->enter (yyval.v.tval);
		}
		else
		{
#if DO_DEBUG
		    y2debug ("enter (%s) to local table %p", yyval.v.tval->toString().c_str(), p_parser->scanner()->localTable());
#endif
		    p_parser->scanner()->localTable()->enter (yyval.v.tval);
		}
                yyval.com = yyvsp[-3].com + yyvsp[-2].com + yyvsp[-1].com + yyvsp[0].com;
	    }
#line 5058 "parser.cc"
    break;

  case 112: /* opt_global: GLOBAL  */
#line 2825 "parser.yy"
            {
		yyval.v.bval = true;
                yyval.com = yyvsp[0].com;
		if (!blockstack_at_toplevel())
		{
		    yyLerror ("'global' declaration in nested block", yyvsp[0].l);
#if DO_DEBUG
		    y2debug ("Nesting level is %d", p_parser->m_blockstack_depth);
#endif
		    yyval.v.bval = false;
		}
		if (!p_parser->m_block_stack->theBlock->isModule())
		{
		    yywarning ("Useless 'global' outside of module", yyvsp[0].l);
		    yyval.v.bval = false;
		}
	    }
#line 5080 "parser.cc"
    break;

  case 113: /* opt_global: %empty  */
#line 2842 "parser.yy"
            { yyval.v.bval = false; yyval.com = "";}
#line 5086 "parser.cc"
    break;

  case 114: /* opt_define: DEFINE  */
#line 2846 "parser.yy"
                { yyval.v.bval = true; yyval.com = yyvsp[0].com; }
#line 5092 "parser.cc"
    break;

  case 115: /* opt_define: %empty  */
#line 2847 "parser.yy"
                { yyval.v.bval = false;  yyval.com = "";}
#line 5098 "parser.cc"
    break;

  case 116: /* tupletypes: %empty  */
#line 2858 "parser.yy"
            {
		yyval.v.val = 0;
		yyval.t = Type::Void;
		yyval.com = "";
	    }
#line 5108 "parser.cc"
    break;

  case 119: /* tupletype: tupletype ',' formal_param  */
#line 2873 "parser.yy"
            {
		if ((yyvsp[-2].t == 0)
		    || (yyvsp[0].t == 0))
		{
#if DO_DEBUG
		   y2debug ("Bad tupletype (%p) or formal_param (%p)", (const void *)yyvsp[-2].t, (const void *)yyvsp[0].t);
#endif
		   yyval.t = 0;
		   break;
		}

		formalparam_t *formalp = yyvsp[-2].v.fpval;
		while (formalp->next != 0)		// find end of list
		{
		    formalp = formalp->next;
		}
		formalp->next = yyvsp[0].v.fpval;		// attach to last element
		yyval.v.fpval = yyvsp[-2].v.fpval;		// pointer to start of chain
		yyval.t = Type::Void;
                yyval.com = yyvsp[-2].com + yyvsp[-1].com + yyvsp[0].com;
	    }
#line 5134 "parser.cc"
    break;

  case 120: /* formal_param: type identifier  */
#line 2902 "parser.yy"
            {
		if (yyvsp[0].t->isUnspec ())			// new identifier
		{
		    formalparam_t *fpval = new (formalparam_t);
		    fpval->next = 0;
		    fpval->name = yyvsp[0].v.nval;
		    fpval->type = yyvsp[-1].t;
		    fpval->line = yyvsp[0].l;
		    yyval.v.fpval = fpval;
		    yyval.t = fpval->type;
		    yyval.l = yyvsp[0].l;
	        }
		else					// known identifier, check and clone it
		{
		    SymbolEntryPtr entry = yyvsp[0].v.tval->sentry();
		    switch (entry->category())
		    {
			case SymbolEntry::c_builtin:
			{
			    p_parser->m_parser_errors++;
			    p_parser->scanner()->logError ("Formal parameter '%s' shadows builtin function", yyvsp[0].l, entry->name());
			    yyval.t = 0;
			}
			break;
			case SymbolEntry::c_function:
			{
			    p_parser->m_parser_errors++;
			    p_parser->scanner()->logError ("Formal parameter '%s' shadows function", yyvsp[0].l, entry->name());
			    yyval.t = 0;
			}
			break;
			case SymbolEntry::c_unspec:
			{
			    p_parser->m_parser_errors++;
			    p_parser->scanner()->logError ("Parameter '%s' shadows function name", yyvsp[0].l, entry->name());
			    yyval.t = 0;
			}
			break;
			default:				// clone identifier
			{
			    formalparam_t *fpval = new (formalparam_t);
			    fpval->next = 0;

			    fpval->name = entry->name();
			    fpval->type = yyvsp[-1].t;
			    fpval->line = yyvsp[0].l;

			    yyval.v.fpval = fpval;
			    yyval.t = fpval->type;
			}
			break;
		    }
		}
		yyval.l = yyvsp[0].l;
                yyval.com = yyvsp[-1].com + yyvsp[0].com;
	    }
#line 5195 "parser.cc"
    break;

  case 121: /* assignment: identifier '=' expression  */
#line 2964 "parser.yy"
            {
		if ((yyvsp[-2].t == 0)		// bad identifier
		    || (yyvsp[0].t == 0))	// bad expression
		{
		    yyval.t = 0;
		    break;
		}

		if (yyvsp[-2].t->isUnspec())	// undefined identifier
		{
		    yyVerror (yyvsp[-2].v.nval, yyvsp[-2].l);
		    yyval.t = 0;
		    break;
		}

		if (yyvsp[-2].t->isConst ())
		{
		    yyConstAssignError (yyvsp[-2].v.tval->sentry()->name(), yyvsp[-2].l);
		    yyval.t = 0;
		    break;
		}

		check_void_assign (&(yyvsp[-2]), &(yyvsp[0]));

		int match = yyvsp[0].t->match (yyvsp[-2].t);

		if (match < 0)
		{
		    if (yyvsp[-2].t->isBlock()			// lhs is block
			&& yyvsp[0].c->isBlock())			// rhs is also block
		    {
			TypePtr bt = BlockTypePtr (new BlockType (yyvsp[0].t));		// don't evaluate block

			match = bt->match (yyvsp[-2].t);
			if (match == 0)
			{
			    yyvsp[0].t = bt;
			}
			else if (match > 0)
			{
			    yyvsp[0].c = new YEPropagate (yyvsp[0].c, yyvsp[0].t, yyvsp[-2].t);
			    yyvsp[0].t = bt;
			}
			yyvsp[0].c = new YEReturn (yyvsp[0].c);
		    }
		    if (match < 0)
		    {
			yyTypeMismatch ("type mismatch in assignment", yyvsp[-2].t, yyvsp[0].t, yyvsp[-2].l);
			yyval.t = 0;
			break;
//			tentry->remove();
		    }
		}

		if (yyvsp[-2].v.tval->sentry()->isFunction()
		    || yyvsp[-2].v.tval->sentry()->isBuiltin())
		{
		    // rhs identifier is a defined function
		    yyLerror ("Assignment to function", yyvsp[-2].l);
		    yyval.t = 0;
		    break;
		}

		if (match > 0)
		{
		    YaST::ee.setLinenumber(yyvsp[0].l);
		    yyvsp[0].c = new YEPropagate (yyvsp[0].c, yyvsp[0].t, yyvsp[-2].t);
		}

		yyval.c = new YSAssign (yyvsp[-2].v.tval->sentry(), yyvsp[0].c, yyvsp[-2].l);
		yyval.t = Type::Unspec;
		yyval.l = yyvsp[-2].l;
                RULE_COMMENT(yyvsp[-2]);
                TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 5275 "parser.cc"
    break;

  case 122: /* assignment: identifier '[' list_elements ']' '=' expression  */
#line 3040 "parser.yy"
            {
		yyval.t = 0;				// default: error

		if ((yyvsp[-5].t == 0)
		    || (yyvsp[-3].t == 0)
		    || (yyvsp[0].t == 0))
		{
		    break;
		}

		if (yyvsp[-5].t->isUnspec ())			// undeclared identifier
		{
		    yyVerror (yyvsp[-5].v.nval, yyvsp[-5].l);
		    break;
		}

		check_void_assign (&(yyvsp[-5]), &(yyvsp[0]));

		if (!yyvsp[-5].t->isList()
		     && !yyvsp[-5].t->isMap()
		     && !yyvsp[-5].t->isTerm())
		{
		    yyLerror ("bracket operator requires list, map, or term identifier", yyvsp[-5].l);
		    break;
		}

		if (yyvsp[-5].t->isConst())
		{
		    yyConstAssignError (yyvsp[-5].v.tval->sentry()->name(), yyvsp[-5].l);
		    break;
		}

		    // try to determine the type as far as possible, following the list of arguments,
		    // doing a type check as we go
		    // come out with $$.t == 0 if error, else determined type

		    // the currently tested structured type
		    constTypePtr cur = yyvsp[-5].t;

		    // index into YEList of bracket parameters, the list cannot be empty
		    int index = 0;
		    YEListPtr params = (YEListPtr)yyvsp[-3].c;

		    do
		    {
			constTypePtr paramType = params->value (index)->type ();	// type of bracket parameter at index
#if DO_DEBUG
			y2debug ("paramvalue (%d) '%s'", index, params->value(index)->toString().c_str());
			y2debug ("paramType '%s'", paramType->toString().c_str());
#endif
			if (paramType->isFunction())
			{
			    paramType = ((constFunctionTypePtr)paramType)->returnType ();
#if DO_DEBUG
			    y2debug ("paramType is function returning '%s'", paramType->toString().c_str());
#endif
			}
			
			// for lists, only integer is acceptable
			if (cur->isList ())
			{
			    if (! paramType->isInteger ())
			    {
				yyTypeMismatch ("Bracket parameter has wrong type", Type::Integer, paramType, yyvsp[-5].l);
				cur = 0;
				break;
			    }
			    else
			    {
				cur = ((constListTypePtr)cur)->type ();
			    }
			}
			else if (cur->isMap ())
			{
			    if (paramType->match (((constMapTypePtr)cur)->keytype ()) == -1)
			    {
				yyTypeMismatch ("Bracket parameter has wrong type", ((constMapTypePtr)cur)->keytype (), paramType, yyvsp[-5].l);
				cur = 0;
				break;
			    }
			    else
			    {
				cur = ((constMapTypePtr)cur)->valuetype ();
			    }
			}
			else if (cur->isTerm ())
			{
			    if (! paramType->isInteger ())
			    {
				yyTypeMismatch ("Bracket parameter has wrong type", Type::Integer, paramType, yyvsp[-5].l);
				cur = 0;
				break;
			    }
			    else
			    {
				cur = Type::Any;
			    }
			}

			index++;

		    } while (index < params->count ()
			     && (cur->isList () || cur->isMap ()));

		    // quit on error
		    if (cur == 0)
		    {
			yyval.t = 0;
			break;
		    }

		    int match = yyvsp[0].t->match (cur);
		    if (match > 0)
		    {
			yyvsp[0].c = new YEPropagate (yyvsp[0].c, yyvsp[0].t, cur);
			match = 0;
		    }
		    if (match != 0)
		    {
			yyTypeMismatch ("type mismatch in bracket assignment", cur, yyvsp[0].t, yyvsp[-5].l);
		    }
#if 0
		    if (index < params->count ())		// we hit a non-list/non-map before end of bracket
		    {
			yyval.t = Type::Any;			// we can't say anything about the resulting type, must propagate to default type
		    }
		    else 
		    {
			yyval.t = cur;
		    }
#endif
		yyval.c = new YSBracket (yyvsp[-5].v.tval->sentry(), yyvsp[-3].c, yyvsp[0].c, yyvsp[-5].l);
		yyval.t = Type::Unspec;
		yyval.l = yyvsp[-5].l;
                RULE_COMMENT(yyvsp[-5]);
                RULE_COMMENT(yyvsp[-4]);
                RULE_COMMENT(yyvsp[-2]);
                RULE_COMMENT(yyvsp[-1]);
	    }
#line 5419 "parser.cc"
    break;

  case 124: /* string: string STRING  */
#line 3187 "parser.yy"
            {
		int s1len = strlen (yyvsp[-1].v.sval);
		int s2len = strlen (yyvsp[0].v.sval);
		char *s = new char [s1len + s2len + 1];
		strcpy (s, yyvsp[-1].v.sval);
		strcpy (s + s1len, yyvsp[0].v.sval);
		delete[] yyvsp[-1].v.sval;
		delete[] yyvsp[0].v.sval;
		yyval.v.sval = s;
		yyval.l = yyvsp[-1].l;
	    }
#line 5435 "parser.cc"
    break;

  case 129: /* constant: STRING  */
#line 3206 "parser.yy"
            {
		/* convert to ycp value, like all other constants  */
		yyval.c = new YConst (YCode::ycString, YCPString (yyvsp[0].v.sval));
		delete[] yyvsp[0].v.sval;
		yyval.t = Type::String;
		yyval.l = yyvsp[0].l;
                yyval.com = yyvsp[0].com;
	    }
#line 5448 "parser.cc"
    break;

  case 133: /* list: '[' ']'  */
#line 3224 "parser.yy"
            {
		yyval.c = new YConst (YCode::ycList, YCPList());
		yyval.t = Type::ListUnspec;			// make it different from list(any) !
		yyval.l = yyvsp[-1].l;
                RULE_COMMENT(yyvsp[-1]);
                RULE_COMMENT(yyvsp[0]);
	    }
#line 5460 "parser.cc"
    break;

  case 134: /* list: '[' list_elements opt_comma ']'  */
#line 3232 "parser.yy"
            {
		if (yyvsp[-2].t == 0)
		{
		    yyval.t = 0;
		    break;
		}

		YCPValue list = yyvsp[-2].c->evaluate (true);
		if (list.isNull() || parsing_comments()) //not a constant or we want comments attached to code
		{
		    yyval.c = yyvsp[-2].c;
		}
		else if (list->isCode())
		{
		    yyval.c = list->asCode()->code();
		}
		else if (list->isList())
		{
		    yyval.c = new YConst (YCode::ycList, list->asList());
		}
		else
		{
		    yyLerror ("YEList does not evaluate to YCPList but", yyvsp[-2].l);
		    yyLerror (list->toString().c_str(), yyvsp[-2].l);
		    yyval.t = 0;
		    break;
		}
		yyval.t = ListTypePtr (new ListType (yyvsp[-2].t));
		yyval.l = yyvsp[-3].l;
                RULE_COMMENT(yyvsp[-3]);
                RULE_COMMENT(yyvsp[-1]);
                RULE_COMMENT(yyvsp[0]);
	    }
#line 5498 "parser.cc"
    break;

  case 135: /* list_elements: expression  */
#line 3269 "parser.yy"
            {
		if (yyvsp[0].t == 0)
		{
		    yyval.t = 0;
		    break;
		}
		yyval.c = new YEList (yyvsp[0].c);
		yyval.t = yyvsp[0].t;
		yyval.l = yyvsp[0].l;
	    }
#line 5513 "parser.cc"
    break;

  case 136: /* list_elements: list_elements ',' expression  */
#line 3280 "parser.yy"
            {
		if ((yyvsp[-2].t == 0)
		    || (yyvsp[0].t == 0))
		{
		    yyval.t = 0;
		    break;
		}

		yyval.t = yyvsp[-2].t->commontype (yyvsp[0].t);
		((YEListPtr)yyvsp[-2].c)->attach (yyvsp[0].c);
		yyval.c = yyvsp[-2].c;
		yyval.l = yyvsp[-2].l;

		TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 5533 "parser.cc"
    break;

  case 137: /* opt_comma: ','  */
#line 3299 "parser.yy"
            { yyval.com = yyvsp[0].com; }
#line 5539 "parser.cc"
    break;

  case 138: /* opt_comma: %empty  */
#line 3300 "parser.yy"
  {  yyval.com = ""; }
#line 5545 "parser.cc"
    break;

  case 139: /* map: MAPEXPR ']'  */
#line 3308 "parser.yy"
            {
		yyval.c = new YConst (YCode::ycMap, YCPMap());
		yyval.t = Type::MapUnspec;			// make it different from map<any,any> !
		yyval.l = yyvsp[-1].l;
                RULE_COMMENT(yyvsp[-1]);
                RULE_COMMENT(yyvsp[0]);
	    }
#line 5557 "parser.cc"
    break;

  case 140: /* map: MAPEXPR map_elements opt_comma ']'  */
#line 3316 "parser.yy"
            {
		if (yyvsp[-2].t == 0)
		{
		    yyval.t = 0;
		    break;
		}

		YCPValue map = yyvsp[-2].c->evaluate (true);
		if (map.isNull() || parsing_comments())	// not a constant or we want comments attached to code
		{
		    yyval.c = yyvsp[-2].c;
		    yyval.t = yyvsp[-2].t;
		}
		else if (map->isCode())	// expression (can this happen ?)
		{
		    yyval.c = map->asCode()->code();
		}
		else			// YCPMap constant
		{
		    yyval.c = new YConst (YCode::ycMap, map->asMap());
		}

		yyval.t = yyvsp[-2].t;
		yyval.l = yyvsp[-3].l;
                RULE_COMMENT(yyvsp[-3]);
                RULE_COMMENT(yyvsp[-1]);
                RULE_COMMENT(yyvsp[0]);
	    }
#line 5590 "parser.cc"
    break;

  case 141: /* map_elements: expression ':' expression  */
#line 3349 "parser.yy"
            {
		if ((yyvsp[-2].t == 0)
		    || (yyvsp[0].t == 0))
		{
		    yyval.t = 0;
		    break;
		}
		if (!(yyvsp[-2].t->isInteger()
		    || yyvsp[-2].t->isString()
		    || yyvsp[-2].t->isSymbol()))
		{
		    yyLerror ("Bad type for key", yyvsp[-2].l);
		    yyval.t = 0;
		    break;
		}
		yyval.c = new YEMap (yyvsp[-2].c, yyvsp[0].c);
		yyval.t = MapTypePtr (new MapType (yyvsp[-2].t, yyvsp[0].t));
		yyval.l = yyvsp[-2].l;
    TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 5615 "parser.cc"
    break;

  case 142: /* map_elements: map_elements ',' expression ':' expression  */
#line 3370 "parser.yy"
            {
		if ((yyvsp[-4].t == 0)
		    || (yyvsp[-2].t == 0)
		    || (yyvsp[0].t == 0))
		{
		    yyval.t = 0;
		    break;
		}
		if (!(yyvsp[-2].t->isInteger()
		    || yyvsp[-2].t->isString()
		    || yyvsp[-2].t->isSymbol()))
		{
		    //yyCerror($3.c, $3.t, $3.l);
		    yyLerror ("Bad type for key", yyvsp[-2].l);
		    yyval.t = 0;
		    break;
		}

		constMapTypePtr mt = yyvsp[-4].t;
		constTypePtr keytype = mt->keytype()->commontype (yyvsp[-2].t);
		constTypePtr valuetype = mt->valuetype()->commontype (yyvsp[0].t);
		yyval.t = MapTypePtr (new MapType (keytype, valuetype));

		((YEMapPtr)yyvsp[-4].c)->attach (yyvsp[-2].c, yyvsp[0].c);
		yyval.c = yyvsp[-4].c;
		yyval.l = yyvsp[-4].l;
    TOKEN_COMMENT(yyvsp[-3]);
    TOKEN_COMMENT(yyvsp[-1]);
	    }
#line 5649 "parser.cc"
    break;

  case 143: /* @10: %empty  */
#line 3415 "parser.yy"
            {
		if (yyvsp[-1].t == 0)
		{
		    yyval.t = 0;
		    break;
		}
		/* this is $3  */

		if (yyvsp[-1].t->isUnspec ())					// bad function_name
		{
		    yyVerror (yyvsp[-1].v.nval, yyvsp[-1].l);
		    yyval.t = 0;
		    break;
		}

		if (yyvsp[-1].t->isSymbol())					// function_name is C_SYMBOL
		{
#if DO_DEBUG
		    y2debug ("Term %s(...)", yyvsp[-1].v.nval);
#endif
		    /* C_SYMBOL  */
		    yyval.c = new YETerm (yyvsp[-1].v.nval);
		    yyval.t = Type::Term;
        yyval.com = yyvsp[-1].com;
		}
		else							// function_name is function or builtin
		{


		    SymbolEntryPtr sentry = yyvsp[-1].v.tval->sentry();

		    if (sentry->isBuiltin())	// a builtin function
		    {
			// found builtin declaration

			// check for overloads, those must be re-checked
			// for every parameter in order to match the
			// type-correct declaration

			declaration_t *decl = ((YSymbolEntryPtr)sentry)->declaration();

#if DO_DEBUG
//			y2debug ("Builtin! (%s)%s", sentry->toString().c_str(), (decl->next == 0) ? "!" : "?");
#endif
			yyval.v.val = decl;
			if ((decl->tentry->isOverloaded())				// if overloaded
			    || (decl->flags & DECL_SYMBOL))		// or can have a symbol as parameter
			{
			    // if the scanner still think it's an include, teach him
			    // this allows include without closed in a block
			    if ((p_parser->m_scanner_stack != 0)
    				&& (p_parser->m_scanner_stack->state == SCAN_START_INCLUDE))
			    {
				p_parser->m_scanner_stack->state = SCAN_INCLUDE;
			    }
			    // start block for possible symbol parameters
			    YBlockPtr block = start_block (p_parser, Type::Unspec);
#if DO_DEBUG
			    y2debug ("opening parameter scope for %s", sentry->name());
#endif

			    yyval.c = new YEBuiltin (decl, block);
#if DO_DEBUG
			    y2debug ("Builtin with block ...");
#endif
			}
			else
			{
			    yyval.c = new YEBuiltin (decl);
#if DO_DEBUG
			    y2debug ("Builtin ...");
#endif
			}

			if (decl->flags & DECL_LOOP)			// allow break in code parameter
			{
			    p_parser->m_loop_count++;
			}
			yyval.t = decl->type;

		    }
		    else if (sentry->type()->isFunction())
		    {
#if DO_DEBUG
			y2debug ("Doing function call, starting params");
#endif
			if (sentry->isVariable ())
			{
#if DO_DEBUG
			    y2debug ("Doing function call via function pointer, starting params");
#endif
//			    y2internal ("Doing function call via function pointer, starting params");
			    yyval.c = new YEFunctionPointer (yyvsp[-1].v.tval);		// an extern function
			}
			else
			{
			    yyval.c = new YEFunction (yyvsp[-1].v.tval);			// an extern function
			}
			yyval.t = sentry->type();
#if DO_DEBUG
			y2debug ("Function! (%s)", sentry->toString(true).c_str());
#endif
		    }
		    else
		    {
			yyTerror ("Identifier is not a function", yyvsp[-1].l, yyvsp[-1].v.tval);
			break;
		    }
		}

		/* end of $3 */
	    }
#line 5766 "parser.cc"
    break;

  case 144: /* function_call: function_name '(' @10 parameters ')'  */
#line 3528 "parser.yy"
            {
		/* $3 == function
		   check $3.c for (YETerm, YEBuiltin, YEFunction)
		   $3.v.val == first matching decl for function name

		   $4.t == 0 if 'parameters' bad
		   $4.c == 0 if 'parameters' empty
		 */

		if ((yyvsp[-2].t == 0)
		    || (yyvsp[-1].t == 0))			// error in parameters
		{
#if DO_DEBUG
		    y2debug ("Bad function (%p) or parameters %p)", (const void *)yyvsp[-2].t, (const void *)yyvsp[-1].t);
#endif
		    yyval.t = 0;

		    // check if symfunc parameter block must be popped from stack
		    
		    if ((yyvsp[-2].t != 0)
			&& (yyvsp[-2].c->kind() == YCode::yeBuiltin)
			&& (((YEBuiltinPtr)yyvsp[-2].c)->parameterBlock() != NULL))
		    {
			// end block for possible symbol parameters

			blockstack_t *top = blockstack_pop (p_parser->m_block_stack);
			top->theBlock->detachEnvironment (p_parser->scanner()->localTable());		// detach local table
			YEBuiltinPtr bf = (YEBuiltinPtr)(yyvsp[-2].c);
#if DO_DEBUG
			y2debug ("closing parameter scope block for %s", bf->decl() ? bf->decl()->name : "<err>");
#endif
			bf->closeParameters();			// delete parameter block if not needed
		    }
		    break;
		}

		switch (yyvsp[-2].c->kind())		// depends on what function_name is
		{
		    case YCode::yeTerm:			// a plain term
		    {
#if DO_DEBUG
			y2debug ("YCode::yeTerm");
#endif
			yyval.c = yyvsp[-2].c;
			yyval.t = yyvsp[-2].t;
		    }
		    break;
		    case YCode::yeBuiltin:			// a builtin function
		    {
#if DO_DEBUG
			y2debug ("YCode::yeBuiltin");
#endif
			// yeBuiltin matched
			//   do final check for parameters

			YEBuiltinPtr builtin = (YEBuiltinPtr)yyvsp[-2].c;

			if (builtin->decl()->flags & DECL_LOOP)
			{
			    p_parser->m_loop_count--;
			}

			constTypePtr finalT = builtin->finalize (p_parser->scanner ());
			if (finalT != 0)
			{
			    constFunctionTypePtr bt = 0;
			    constFunctionTypePtr dt = 0;
			    if (builtin->completeType()->isFunction())
			    {
				bt = builtin->completeType();
			    }
			    if (builtin->decl()->type->isFunction())
			    {
				dt = builtin->decl()->type;
			    }

			    if (finalT != 0)				// error not shown yet
			    {
				constTypePtr seen = bt ? (constTypePtr)(bt->parameters()) : builtin->type();
				if (! seen)
				    seen = new FunctionType();

				constTypePtr expected;
				if (finalT->isError())
				{
				    expected = dt ? (constTypePtr)(dt->parameters()) : builtin->decl()->type;
				}
				else if (finalT->isFunction())
				{
				    dt = finalT;
				    expected = dt->parameters();
				}
				else
				{
				    expected = finalT;
				}
				yyTypeMismatch ((string ("Wrong parameters in call to ") + string (builtin->decl()->name) + string ("(...)")).c_str(), expected, seen, yyvsp[-1].l);
			    }

			    yyval.t = 0;
			}
			else
			{
#if DO_DEBUG
			    y2debug ("yeBuiltin matched");
#endif
			    yyval.c = yyvsp[-2].c;
			    yyval.t = builtin->type ();

			    if (builtin->decl ()->flags & DECL_DEPRECATED)
			    {
				yywarning ((string (builtin->decl ()->name) + "(...) is deprecated, please fix").c_str(), yyvsp[-4].l);
			    }

			}
		    }
		    break;
		    case YCode::yeFunctionPointer:
		    case YCode::yeFunction:			// an extern function
		    {
#if DO_DEBUG
			y2debug ("YCode::yeFunction (%s)", yyvsp[-2].c->toString().c_str());
#endif
			YECallPtr function = (YECallPtr)yyvsp[-2].c;

			// close parameter list
			constTypePtr finalT = function->finalize ();
			if (finalT != 0)
			{
			    yyLerror ("Parameters don't match any declaration:", yyvsp[-3].l);
			    yyLerror (function->toString().c_str(), yyvsp[-3].l);
        		    yyLerror ("Candidates are:", yyvsp[-3].l);

			    // enumerate all possible calls
			    TableEntry* tentry = yyvsp[-4].v.tval;
			    while (tentry)
			    {
				yyLerror (tentry->sentry ()->toString ().c_str (), yyvsp[-3].l);
				tentry = tentry->next_overloaded ();
			    }
			    yyval.t = 0;
			}
			else
			{
			     // yeFunction matched
#if DO_DEBUG
			     y2debug ("yeFunction matched");
#endif
			     yyval.c = yyvsp[-2].c;
			     constFunctionTypePtr ft = yyvsp[-2].t;
			     yyval.t = ft->returnType ();
			}

		    }
		    break;
		    default:				// anything else is an error
		    {
#if DO_DEBUG
			y2debug ("Error");
#endif
			yyval.t = 0;
		    }
		    break;

		} // switch ($3.c->kind())

		// check if symfunc parameter block must be popped from stack

		if ((yyvsp[-2].c->kind() == YCode::yeBuiltin)
		    && (((YEBuiltinPtr)yyvsp[-2].c)->parameterBlock() != NULL))
		{
		    // end block for possible symbol parameters

		    blockstack_t *top = blockstack_pop (p_parser->m_block_stack);
		    top->theBlock->detachEnvironment (p_parser->scanner()->localTable());		// detach local table
		    YEBuiltinPtr bf = (YEBuiltinPtr)(yyvsp[-2].c);
#if DO_DEBUG
		    y2debug ("closing parameter scope block for %s", bf->decl() ? bf->decl()->name : "<err>");
#endif
		    bf->closeParameters();			// delete parameter block if not needed
		}

		if (yyval.t == 0)
		{
		    break;
		}
		yyval.l = yyvsp[-4].l;
                RULE_COMMENT(yyvsp[-4]);
                RULE_COMMENT(yyvsp[-3]);
                // parameters will attach to us via $0
                LAST_TOKEN_COMMENT(yyvsp[0]);

#if DO_DEBUG
		y2debug ("fcall (%s:%s)", yyval.t->toString().c_str(), yyval.c->toString().c_str());
#endif
	    }
#line 5967 "parser.cc"
    break;

  case 145: /* parameters: %empty  */
#line 3742 "parser.yy"
            {
#if DO_DEBUG
		y2debug ("Empty parameters");
#endif
		yyval.c = 0;
		yyval.t = Type::Unspec;
    yyval.com = "";
	    }
#line 5980 "parser.cc"
    break;

  case 146: /* parameters: type identifier  */
#line 3751 "parser.yy"
            {
#if DO_DEBUG
		y2debug ("parameters: type/name ([%s '%s'])", yyvsp[-1].t->toString().c_str(), yyvsp[0].t->isUnspec () ? yyvsp[0].v.nval : yyvsp[0].v.tval->key());
#endif
		/* if the function was not found, better fail now */
		if (yyvsp[-2].t != 0)
		{

		    /* $1.t == type, $2.v symbol*/
		    constTypePtr t = attach_parameter (p_parser, yyvsp[-2].c, &(yyvsp[-1]), &(yyvsp[0]));
		    if (t != 0)
		    {
			yyLerror ("Parameter error", yyvsp[0].l);
			yyval.t = 0;
			break;
		    }
		}

		yyval.c = yyvsp[-2].c;
		yyval.t = yyvsp[-1].t;
		yyval.l = yyvsp[-1].l;
                TOKEN_COMMENT_TO(yyvsp[-1], yyvsp[-2]);
                TOKEN_COMMENT_TO(yyvsp[0], yyvsp[-2]);
	    }
#line 6009 "parser.cc"
    break;

  case 147: /* parameters: expression  */
#line 3776 "parser.yy"
            {
#if DO_DEBUG
		y2debug ("parameters: expression");
#endif
		if (yyvsp[0].t == 0)			// parameter 'expression' is bad
		{
#if DO_DEBUG
		    y2debug ("parameter 'expression' is bad");
#endif
		    yyval.t = 0;
		    break;
		}

		/* if the function was not found, better fail now */
		if (yyvsp[-1].t != 0)
		{
		    // attach parameter ($1) to function ($0), checking types

		    constTypePtr t = attach_parameter (p_parser, yyvsp[-1].c, &(yyvsp[0]));

		    if (t != 0)
		    {
#if DO_DEBUG
			y2debug ("attach_parameter failed");
#endif
			yyval.t = 0;
			break;
		    }
		}

		yyval.c = yyvsp[0].c;		// default return value
		yyval.t = yyvsp[0].t;
	    }
#line 6047 "parser.cc"
    break;

  case 148: /* parameters: parameters ',' type identifier  */
#line 3810 "parser.yy"
            {
#if DO_DEBUG
		y2debug ("parameters: parameters, type/name");
#endif
		if (yyvsp[-3].t == 0)
		{
		    yyval.t = 0;
		    break;
		}

		if (yyvsp[-3].c == 0)
		{
		    yyLerror ("Missing expression before ','", yyvsp[-3].l);
		    yyval.t = 0;
		    break;
		}

		/* if the function was not found, better fail now */
		if (yyvsp[-4].t != 0)
		{

		    /* $3.t == type, $4 symbol*/
		    constTypePtr t = attach_parameter (p_parser, yyvsp[-4].c, &(yyvsp[-1]), &(yyvsp[0]));
		    if (t != 0)
		    {
			yyval.t = 0;
			break;
		    }
		}

		yyval.c = yyvsp[-4].c;
		yyval.t = Type::Unspec;
                TOKEN_COMMENT_TO(yyvsp[-2], yyvsp[-4]);
                TOKEN_COMMENT_TO(yyvsp[-1], yyvsp[-4]);
                TOKEN_COMMENT_TO(yyvsp[0], yyvsp[-4]);
	    }
#line 6088 "parser.cc"
    break;

  case 149: /* parameters: parameters ',' expression  */
#line 3847 "parser.yy"
            {
		if ((yyvsp[-2].t == 0)
		    || (yyvsp[0].t == 0))
		{
		    yyval.t = 0;
		    break;
		}

		if (yyvsp[-2].c == 0)
		{
		    yyLerror ("Missing expression before ','", yyvsp[-2].l);
		    yyval.t = 0;
		    break;
		}
		
		if (yyvsp[0].c == 0)
		{
		    yyLerror ("Empty expression (block) as a parameter", yyvsp[-2].l);
		    yyval.t = 0;
		    break;
		}

		/* if the function was not found, better fail now */
		if (yyvsp[-3].t != 0 )
		{
		    constTypePtr t = attach_parameter (p_parser, yyvsp[-3].c, &(yyvsp[0]));
		    if (t != 0)
		    {
			yyval.t = 0;
			break;
		    }
		}

		yyval.c = yyvsp[-2].c;
		yyval.t = Type::Unspec;
	    }
#line 6129 "parser.cc"
    break;

  case 151: /* function_name: C_SYMBOL  */
#line 3900 "parser.yy"
            {
		yyval.c = yyvsp[0].c;
		yyval.t = Type::Symbol;
		yyval.l = yyvsp[0].l;
                RULE_COMMENT(yyvsp[0]);
    }
#line 6140 "parser.cc"
    break;

  case 153: /* identifier: SYMBOL  */
#line 3918 "parser.yy"
            {
#if DO_DEBUG
		y2debug ("<new> symbol '%s' !", (const char *)yyvsp[0].v.nval);
#endif
		yyval.v.nval = yyvsp[0].v.nval;
		yyval.t = Type::Unspec;
		yyval.l = yyvsp[0].l;
                yyval.com = yyvsp[0].com;
	    }
#line 6154 "parser.cc"
    break;


#line 6158 "parser.cc"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yytoken};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (vp_parser, yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          YYNOMEM;
      }
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, vp_parser);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp, vp_parser);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (vp_parser, YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, vp_parser);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp, vp_parser);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}

#line 3934 "parser.yy"



/*
  I define my own yylex, which makes scanner and parser reentrant.

  lvalp_void is a void pointer to yylval (the value of the lexical token)
  void_pr is a pointer to 'our' parser
*/

extern "C" {
int yylex(YYSTYPE *lvalp_void, void *void_pr)
{
    // get 'our' parser
    Parser *pr = (Parser *)void_pr;
    Scanner *currentScanner = pr->scanner ();

    // call 'our' scanner through the parser
    int token = currentScanner->yylex();

    while (token == END_OF_FILE)
    {
	scannerstack_t *top = scannerstack_pop (pr->m_scanner_stack);		// eof of include ?
#if DO_DEBUG
	y2debug ("EOF, top %p, current %p, yychar ?\n", top, currentScanner);
#endif
	if (top == 0)
	{
	    break;								// no
	}
#if DO_DEBUG
	y2debug ("EOF, back to %s:%d\n", top->filename.c_str(), top->linenumber);
#endif
	// close the old file
	pr->scanner ()->closeInput ();
	
	currentScanner = top->scanner;
	pr->setScanner (currentScanner);
	
	// restore the text domain
	pr->m_block_stack->textdomain = top->old_textdomain;
	
	YSFilename* fn = new YSFilename (top->filename);
	pr->m_current_block->attachStatement (fn);
	
	delete top;			    // free scannerstack_t new'd at INCLUDE
	token = currentScanner->yylex();
    }

    if (token != END_OF_FILE)
    {
	// store the value of the lexical token
	YCodePtr *store_here = (YCodePtr *) &(lvalp_void->c);
	lvalp_void->t	   = currentScanner->scannedType();

	tokenValue value   = currentScanner->scannedValue();
	lvalp_void->v	   = value;
	lvalp_void->com    = currentScanner->commentBefore();
	pr->m_lineno	   = lvalp_void->l = currentScanner->lineNumber();

	switch (token)
	{
	    case C_FLOAT:	*store_here = new YConst (YCode::ycFloat,	YCPFloat (value.fval)); break;
	    case C_INTEGER:	*store_here = new YConst (YCode::ycInteger,	YCPInteger (value.ival)); break;
	    case C_BYTEBLOCK:
	    {
		long length;
		unsigned char *ptr = value.cval + sizeof (long);
		memcpy (&length, value.cval, sizeof (long));
		*store_here = new YConst (YCode::ycByteblock, YCPByteblock (ptr, length));
	    }
	    break;
	    case C_VOID:	*store_here = new YConst (YCode::ycVoid,	YCPVoid ()); break;
	    case C_BOOLEAN:	*store_here = new YConst (YCode::ycBoolean,	YCPBoolean (value.bval)); break;
	    case C_PATH:
	    {
		YCPPath path = YCPPath (value.pval);
		if ((path->length() == 0)
		    && (strlen (value.pval) > 1))
		{
		    yyerror_with_lineinfo (pr, -1, "not a path constant");
		    return 0;
		}
		*store_here = new YConst (YCode::ycPath, path);
	    }
	    break;
	    case C_SYMBOL:
	    {
		*store_here = new YConst (YCode::ycSymbol, YCPSymbol (value.yval));
	    }
	    break;
	    case SCANNER_ERROR:
	    {
		*store_here = 0;
		lvalp_void->t = 0;
	    }
	    break;
	}
    }
    return token;
}
} // extern "C"


static void
yyerror_with_lineinfo (Parser *parser, int lineno, const char *s)
{
    parser->m_parser_errors++;
    parser->scanner()->logError ("%s", (lineno > 0) ? lineno : parser->m_lineno, s);
}


static void
yywarning_with_lineinfo (Parser *parser, int lineno, const char *s)
{
    parser->scanner()->logWarning ("%s", (lineno > 0) ? lineno : parser->m_lineno, s);
}


static void
yyerror_with_code (Parser *parser, int lineno, YCodePtr c, constTypePtr t)
{
    parser->m_parser_errors++;
    if (c == 0)
    {
	parser->scanner()->logError ("Bad parameter", (lineno > 0) ? lineno : parser->m_lineno);
    }
    else
    {
	parser->scanner()->logError ("Bad parameter '<%s> %s'", (lineno > 0) ? lineno : parser->m_lineno, t->toString().c_str(), c ? c->toString().c_str() : "<err>");
    }
}


static void
yyerror_with_name (Parser *parser, int lineno, const char *name)
{
    parser->m_parser_errors++;
    parser->scanner()->logError ("Undeclared identifier '%s'", (lineno > 0) ? lineno : parser->m_lineno, name);
}


static void
yyerror_assign_const (Parser *parser, int lineno, const char *name)
{
    parser->m_parser_errors++;
    if (*name == 0)
	parser->scanner()->logError ("Assignment to const", (lineno > 0) ? lineno : parser->m_lineno);
    else
	parser->scanner()->logError ("Assignment to const identifier '%s'", (lineno > 0) ? lineno : parser->m_lineno, name);
}


static void
yyerror_with_file (Parser *parser, int lineno, const char *name)
{
    parser->m_parser_errors++;
    parser->scanner()->logError ("Bad or unknown file '%s'", (lineno > 0) ? lineno : parser->m_lineno, name);
}


static void
yyerror_with_tableentry (Parser *parser, int lineno, const char *s, TableEntry *tentry)
{
    parser->m_parser_errors++;
    int line = (lineno > 0) ? lineno : parser->m_lineno;
    parser->scanner()->logError ("%s", line, s);
    const Point *point = tentry->point();
    bool start = true;
    while (point != 0)
    {
	const Point *next = point->point();
	if (start)
	{
	    if (next == 0)
	    {
		parser->scanner()->logError ("Definition point (%s:%d) without parent\n", line, point->filename().c_str(), point->line());
	    }
	    // definition point
	    else if (point->line() == 0)
	    {
		parser->scanner()->logError ("'%s' defined as %s.", line, tentry->key(), next->filename().c_str());
	    }
	    else
	    {
		parser->scanner()->logError ("'%s' defined in %s:%d.", line, tentry->key(), next->filename().c_str(), point->line());
	    }
	}
	else if (point->line() != 0)
	{
	    if (next == 0)
	    {
		parser->scanner()->logError ("Inclusion point (%s:%d) without parent\n", line, point->filename().c_str(), point->line());
	    }
	    else
	    {
		// inclusion point
		parser->scanner()->logError ("Included from %s:%d.", line, next->filename().c_str(), point->line());
	    }
	}
	point = next;
	start = false;
    }
    return;
}


static void
yywarning_with_tableentry (Parser *parser, int lineno, TableEntry *tentry)
{
    int line = (lineno > 0) ? lineno : parser->m_lineno;
    const Point *point = tentry->point();
    bool start = true;
    while (point != 0)
    {
	const Point *next = point->point();
	if (start)
	{
	    if (next == 0)
	    {
		parser->scanner()->logWarning ("Definition point (%s:%d) without parent\n", line, point->filename().c_str(), point->line());
	    }
	    // definition point
	    else if (point->line() == 0)
	    {
		parser->scanner()->logWarning ("'%s' defined as %s.", line, tentry->key(), next->filename().c_str());
	    }
	    else
	    {
		parser->scanner()->logWarning ("'%s' defined in %s:%d.", line, tentry->key(), next->filename().c_str(), point->line());
	    }
	}
	else if (point->line() != 0)
	{
	    if (next == 0)
	    {
		parser->scanner()->logWarning ("Inclusion point (%s:%d) without parent\n", line, point->filename().c_str(), point->line());
	    }
	    else
	    {
		// inclusion point
		parser->scanner()->logWarning ("Included from %s:%d.", line, next->filename().c_str(), point->line());
	    }
	}
	point = next;
	start = false;
    }
    return;
}


static void
yyerror_type_mismatch (Parser *parser, int lineno, const char *s, constTypePtr expected_type, constTypePtr seen_type)
{
    int linenumber = (lineno > 0) ? lineno : parser->m_lineno;
    
    parser->m_parser_errors++;
    if (s && *s)
    {
	parser->scanner()->logError ("%s", linenumber, s);
    }

    if (expected_type->isUnspec())
    {
	parser->scanner()->logError ("No matching function", linenumber);
    }
    else if (expected_type->isError())
    {
	parser->scanner()->logError ("Bad parameter type '%s'.", linenumber, seen_type->toString().c_str());
    }
    else
    {
	parser->scanner()->logError ("Expected '%s', seen '%s'.", linenumber, expected_type->toString().c_str(), seen_type->toString().c_str());
    }
}


static void yyerror_cant_cast (Parser *parser, int lineno, constTypePtr from, constTypePtr to)
{
    parser->m_parser_errors++;
    parser->scanner()->logError ("Can't cast from '%s' to '%s'.", lineno, from->toString().c_str(), to->toString().c_str());
}

static void yyerror_no_module (Parser *parser, int lineno, const char *module)
{
    parser->m_parser_errors++;
    parser->scanner()->logError ("Can't load module '%s'.", lineno, module);
}


/*
  check unary operator

  result = pointer to $$ for return value
  e1 = expression
  op = unary operator (i.e "!", "-", ...)

*/

static void
i_check_unary_op (YYSTYPE *result, YYSTYPE *e1, const char *op, Parser* p)
{
    if (e1->t == 0)
    {
	result->t = 0;
	return;
    }

    FunctionTypePtr ft = Type::Function (Type::Unspec);		// the declaration determines the return type
    ft->concat (e1->t);
    declaration_t *decl = static_declarations.findDeclaration (op, ft);

    if (decl == 0)
    {
	yyerror_with_lineinfo (p, e1->l, "Operator not defined for this type");
	result->t = 0;

	declaration_t* first_decl = static_declarations.findDeclaration(op);
	StaticDeclaration::errorNoMatch (p->scanner (), ft, first_decl);

	return;
    }

    result->c = new YEUnary(decl, e1->c);
    result->t = ((constFunctionTypePtr)(decl->type))->returnType ();
    result->l = e1->l;

#if DO_DEBUG
    y2debug ("check_unary_op (%s/%s) good (ret = %s)", op, e1->t->toString().c_str(), result->t->toString().c_str());
#endif
    return;
}


/*
  check binary operator

  result = pointer to $$ for return value
  e1 = left expression
  op = compare operator (i.e "+", "-", ...)
  e2 = right expression

*/

static void
i_check_binary_op (YYSTYPE *result, YYSTYPE *e1, const char *op, YYSTYPE *e2, Parser* p)
{
    if ((e1->t == 0)
	|| (e2->t == 0))
    {
	result->t = 0;
	return;
    }

    FunctionTypePtr ft = Type::Function (Type::Unspec);		// the declaration determines the return type
#if DO_DEBUG
    y2debug ("i_check_binary_op e1 %p, e2 %p", &(e1->t), &(e2->t));
#endif
    ft->concat (e1->t);
    ft->concat (e2->t);
    declaration_t *decl = static_declarations.findDeclaration (op, ft, true);

    if (decl == 0)		// plain failed, try propagation
    {
	int e1_to_e2 = e1->t->match (e2->t);
	int e2_to_e1 = e2->t->match (e1->t);
	if ((e1_to_e2 > e2_to_e1)
	    && (e2_to_e1 > 0))
	{
	    FunctionTypePtr ft1 = Type::Function (Type::Unspec);		// propagate e1->t --> e2->t
	    ft1->concat (e2->t);
	    ft1->concat (e2->t);
	    decl = static_declarations.findDeclaration (op, ft1);
	    if (decl != 0)
	    {
		YaST::ee.setLinenumber(e1->l);
		e1->c = new YEPropagate (e1->c, e1->t, e2->t);
		ft = ft1;
	    }
	}
	else if ((e2_to_e1 > e1_to_e2)
		  && (e1_to_e2 > 0))
	{
	    FunctionTypePtr ft1 = Type::Function (Type::Unspec);		// propagate e2->t --> e1->t
	    ft1->concat (e1->t);
	    ft1->concat (e1->t);
	    decl = static_declarations.findDeclaration (op, ft1);
	    if (decl != 0)
	    {
		YaST::ee.setLinenumber(e2->l);
		e2->c = new YEPropagate (e2->c, e2->t, e1->t);
		ft = ft1;
	    }
	}

	if (decl == 0)
	{
	    yyerror_with_lineinfo (p, e1->l, "Binary operator not defined for this type");
	    result->t = 0;

	    declaration_t* first_decl = static_declarations.findDeclaration(op);
	    StaticDeclaration::errorNoMatch (p->scanner (), ft, first_decl);
	}
    }

    if (decl != 0)		// if plain or propagation matched
    {
	constFunctionTypePtr cft = decl->type;
	if (decl->flags & DECL_FLEX)
	{
	    cft = Type::determineFlexType (ft, decl->type);
	    if (cft == 0)					// failed
	    {
		result->t = 0;
		return;
	    }
	    else if (cft->isFunction()				// template function, check final types
		     && ft->isFunction())
	    {
		if (ft->parameters()->match (cft->parameters()) != 0)		//  or realtype does not match actual type
		{
		    result->t = 0;
		    return;
		}
	    }
#if DO_DEBUG
	    y2debug ("cft '%s', decl->type '%s'", cft ? cft->toString().c_str() : "NULL", decl->type->toString().c_str());
#endif
	}
	result->c = new YEBinary (decl, e1->c, e2->c);
	result->t = cft->returnType ();
	result->l = e1->l;
    }

#if DO_DEBUG
    y2debug ("i_check_binary_op (%s/%s/%s) good (ret = '%s')", e1->t->toString().c_str(), op, e2->t->toString().c_str(), result->t->toString().c_str());
#endif
    return;
}


/*
  check compare operator

  result = pointer to $$ for return value
  e1 = left expression
  op = compare operator (see YECompare)
  e2 = right expression

*/

static void
i_check_compare_op (YYSTYPE *result, YYSTYPE *e1, YECompare::c_op op, YYSTYPE *e2, Parser *parser)
{
    if ((e1->t == 0)
	|| (e2->t == 0))
    {
	result->t = 0;
	return;
    }

#if DO_DEBUG
    y2debug ("check_compare_op e1'%s' op %d e2'%s'", e1->t->toString().c_str(), (int)op, e2->t->toString().c_str());
#endif

    int e1_match_e2 = e1->t->match (e2->t);

#if DO_DEBUG
    y2debug ("e1_match_e2 %d", e1_match_e2);
#endif

    int e2_match_e1 = e2->t->match (e1->t);

#if DO_DEBUG
    y2debug ("e2_match_e1 %d", e2_match_e1);
#endif

    if ((e1_match_e2 < 0)						// not comparable types
	&& (e2_match_e1 < 0))
    {
	yyerror_type_mismatch (parser, e2->l, "Types are not comparable", e1->t, e2->t);
	result->t = 0;
	return;
    }

    if ((e1_match_e2 > e2_match_e1)
	     && (e2_match_e1 > 0))
    {
	YaST::ee.setLinenumber(e1->l);
	e1->c = new YEPropagate (e1->c, e1->t, e2->t);	// propagate e1
    }
    else if ((e2_match_e1 > e1_match_e2)
	     && (e1_match_e2 > 0))
    {
	YaST::ee.setLinenumber(e2->l);
	e2->c = new YEPropagate (e2->c, e2->t, e1->t);	// propagate e2
    }

    result->c = new YECompare (e1->c, op, e2->c);
    result->t = Type::Boolean;
    result->l = e1->l;

#if DO_DEBUG
    y2debug ("check_compare_op '%s'", result->c->toString().c_str());
#endif
    return;
}


/*
  check assign operator for 'void' on rhs

  lhs = left hand side (might be NULL)
  rhs = right hand side

*/

static void
i_check_void_assign (YYSTYPE *lhs, YYSTYPE *rhs, Parser *parser)
{
    if (!rhs->t->isVoid()			// rhs isn't void
	|| rhs->c->isConstant())		//   or is the 'nil' constant
    {
	return;
    }

    if (lhs
	&& (lhs->t->isVoid()			// lhs accepts void
	    || lhs->t->isAny()))		//   or any
    {
	return;
    }

    if (rhs->c->kind() == YCode::yeBracket)	// rhs is bracket operator
    {
	if (lhs != 0)				// bracket operator checked void before
	{
	    return;
	}

	YEBracketPtr b = rhs->c;
	if (b == 0)
	{
	    yyerror_with_lineinfo (parser, rhs->l, "rhs isn't yeBracket but pretends to be");
	    return;
	}

	YYSTYPE bracket_default_as_yystype = { b->def(), {0}, b->type(), rhs->l };

	return i_check_void_assign (0, &bracket_default_as_yystype, parser);
    }

    if (rhs->c->kind() == YCode::yeBuiltin)	// rhs is builtin function
    {
	YEBuiltinPtr b = rhs->c;

	if (b == 0)
	{
	    yyerror_with_lineinfo (parser, rhs->l, "rhs isn't yeBuiltin but pretends to be");
	    return;
	}
    }

    if (lhs == 0)
    {
	yywarning_with_lineinfo (parser, rhs->l, "default of bracket expression is undefined");
    }
    else
    {
	yywarning_with_lineinfo (parser, rhs->l, "rhs of assignment is undefined");
    }

    return;
}


/*
  attach parameter 'parm' to YEBuiltin/YEFunction/YETerm 'code'


  if parameter is 'type identifier': parm->t == type,
				    parm1.t->isUnspec () ? parm1.v.nval = symbol name : parm1->v.tval == table entry
  if parameter is 'expression':  parm->c == code, parm1 == 0

  return NULL if success,
      != NULL (expected type) if wrong parameter type
      Type::Unspec if bad code (NULL)
      Type::Error if excessive parameter
*/

static constTypePtr
attach_parameter (Parser *parser, YCodePtr code, YYSTYPE *parm, YYSTYPE *parm1)
{
    if ((code == 0)
	|| (parm->t == 0))
    {
	return Type::Unspec;
    }

#if DO_DEBUG
    y2debug ("attach_parameter (p %p(%s:%s), p1 %p)", parm, parm1 ? parm->t->toString().c_str() : parm->c->toString().c_str(), parm1 ? "" : parm->t->toString().c_str(), parm1);
#endif

    YaST::ee.setLinenumber(parm->l);

    constTypePtr t;
    string name;

    switch (code->kind())
    {
	case YCode::yeBuiltin:
	{
#if DO_DEBUG
	    y2debug ("YCode::yeBuiltin:");
#endif
	    YEBuiltinPtr builtin = (YEBuiltinPtr)code; 

	    name = builtin->decl()->name;
	    
	    // FIXME: new symbol could be probably devised, but it is a debug, anyway
#if DO_DEBUG
	    y2debug ("attach_parameter builtin ([%s]%s:%s)", builtin->toString().c_str(), parm1 ? "new symbol" : parm->c->toString().c_str(), parm->t->toString().c_str());
#endif
	    if (builtin->parameterBlock() == 0)
	    {
		t = builtin->attachParameter (parm->c, parm->t);
		break;
	    }

	    // check if 'func (..., `x, ...)' is to be interpreted as
	    //	func (..., `x, ...) or func (..., any x, ...)
	    if ((parm1 == 0)						// parameter is an expression (not 'type identifier')
		&& ((parm->c->kind() != YCode::ycSymbol)		//  not a symbol
		     || (parm->c->isConstant()				//   or a constant
			 && ((YConstPtr)(parm->c))->value().isNull())))	//   and nilsymbol
	    {
		constTypePtr type = parm->t;
#if DO_DEBUG
		y2debug ("attach_parameter builtin expr ([%s]%s:%s)", builtin->toString().c_str(), parm->c->toString().c_str(), type->toString().c_str());
#endif
		if (parm->c->isBlock())
		{
		    // parameter is block

		    YBlockPtr b = (YBlockPtr)(parm->c);
		    YSReturnPtr ret = b->justReturn();
		    if (ret != 0 && ret->value () != 0)
		    {
			parm->c = new YEReturn (ret->value());
			ret->clearValue ();
		    }
		    type = BlockTypePtr ( new BlockType (type->isUnspec () ? Type::Void : type));
		}
		t = builtin->attachParameter (parm->c, type);
	    }
	    else							// attach type/name or symbol expression
	    {
		TableEntry *tentry = 0;
#if DO_DEBUG
		y2debug ("check for 'type name' or 'symbol' expression");
#endif
		// check for "type name" or "symbol" expression

		if (parm1 != 0)						// 'type name' expression
		{
		    // attach entry to parameter block of function
		    if (parm1->t->isUnspec ())
		    {
			// parameter name is unknown
			t = builtin->attachSymVariable (parm1->v.nval, parm->t, parm->l, tentry);
		    }
		    else
		    {
			// parameter name overlays known TableEntry
			t = builtin->attachSymVariable (parm1->v.tval->key(), parm->t, parm->l, tentry);
		    }
		}
		else							// 'symbol' expression
		{
		    // possibly convert "func(`x, ...)" to "func (any x, ...)" depending on function prototype
		    //  pass is as '<unspec>' and let attachSymVariable() find it out
		    t = builtin->attachSymVariable (parm->v.nval, Type::Unspec, parm->l, tentry);
		}

		if ((t == 0)
		    && (tentry != 0))
		{
#if DO_DEBUG
		    y2debug ("Enter %s to local table", tentry->toString().c_str());
#endif
		    parser->scanner()->localTable()->enter (tentry);
		}
	    }
	}
	break;
	case YCode::yeFunctionPointer:
        case YCode::yeFunction:
	{
#if DO_DEBUG
	    y2debug ("YCode::yeFunction:");
#endif
	    // parameter declaration is not allowed for functions
	    if (parm1 != 0)
	    {
		yyerror_with_lineinfo (parser, parm->l
		    , "Newly declared symbol as a parameter allowed only for builtins");
		t = Type::Error;
	    }
	    
	    YECallPtr func = (YECallPtr)code; 
	    name = func->qualifiedName();
#if DO_DEBUG
	    y2debug ("attach_parameter func ([%s]%s:%s)", func->toString().c_str(), parm->c->toString().c_str(), parm->t->toString().c_str());
#endif

	    t = func->attachParameter (parm->c, parm->t);
	}
	break;
	case YCode::yeTerm:
	{
#if DO_DEBUG
	    y2debug ("YCode::yeTerm:");
#endif
	    // parameter declaration is not allowed for terms
	    if (parm1 != 0)
	    {
		yyerror_with_lineinfo (parser, parm->l
		    , "Newly declared symbol as a parameter allowed only for builtins");
		t = Type::Error;
	    }
	    
	    YETermPtr term = (YETermPtr)code; 
	    name = term->name();
#if DO_DEBUG
	    y2debug ("attach_parameter term ([%s]%s)", term->toString().c_str(), parm->c->toString().c_str());
#endif
	    term->attachParameter (parm->c);
	    return 0;
	}
	default:			// not a builtin/term/function
	{
	    t = Type::Error;
	}
	break;
    }

    if (t != 0)
    {
#if DO_DEBUG
	y2debug ("attach_parameter error, t:%s", t->toString().c_str());
#endif
	if (!name.empty())
	{
	    name = string (" in call to ") + name + string ("(...)");
	}

	if (t->isUnspec())
	{
//	    yyerror_with_lineinfo (parser, parm->l, "No matching function");
	    yyerror_with_code (parser, parm->l, parm->c, parm->t);
	}
	else if (t->isError())
	{
	    if (parm->t->isSymbol()
		&& parm->t->isConst())
	    {
		yyerror_with_lineinfo (parser, parm->l, (string ("Duplicate symbol") + name).c_str());
	    }
	    else
	    {
		yyerror_with_lineinfo (parser, parm->l, (string ("Excessive parameter") + name).c_str());
	    }
	    yyerror_with_code (parser, parm->l, parm->c, parm->t);
	}
	else
	{
	    yyerror_type_mismatch (parser, parm->l, (string ("Parameter type mismatch") + name).c_str(), t, parm->t);
	    yyerror_with_code (parser, parm->l, parm->c, parm->t);
	}
    }
#if DO_DEBUG
    y2debug ("attach_parameter() -> %s", t ? t->toString().c_str() : "OK");
#endif
    return t;
}

static
void
attach_comment(YCodePtr code, const std::string& comment)
{
    if (comment.empty())
	return;
    if (! code)
    {
      y2error("No place to attach comment %s", comment.c_str());
        // should not happen:
        // we're trying to put it to an AST node
        // which does not have an ycode;
        // log an error, it is bug here in the comment-parser
	return;
    }
    // YCode::setCommentBefore takes ownership of its param
    // which should be new char[]
    char * newstr = new char[comment.size() + 1];
    strcpy(newstr, comment.c_str());
    code->setCommentBefore(newstr);
}

static
void
attach_comment_after(YCodePtr code, const std::string& comment)
{
    if (comment.empty())
	return;
    if (! code)
    {
      y2error("No place to attach comment %s", comment.c_str());
        // should not happen:
        // we're trying to put it to an AST node
        // which does not have an ycode;
        // log an error, it is bug here in the comment-parser
	return;
    }

    // YCode::setCommentAfter takes ownership of its param
    // which should be new char[]
    char * newstr = new char[comment.size() + 1];
    strcpy(newstr, comment.c_str());
    code->setCommentAfter(newstr);
}

//-------------------------------------------------------------------
// stack handling

static void
stack_push (stack_t **stack, stack_t *element)
{
    element->down = *stack;
    *stack = element;
}

// pop element to stack, return the old top
static stack_t *stack_pop (stack_t **stack)
{
    stack_t *element = 0;
    if (*stack)
    {
	element = *stack;
	*stack = element->down;
	if (*stack == 0)
	{
#if DO_DEBUG
	    y2debug ("STACK EMPTY NOW");
#endif
	}
    }
    else
    {
#if DO_DEBUG
	y2debug ("POP EMPTY STACK");
#endif
    }
    return element;
}


// start a block
// pushes new element on m_block_stack
// opens new scope for block-local definitions

static YBlockPtr
start_block (Parser *parser, constTypePtr type)
{
#if DO_DEBUG
    y2debug ("start_block");
#endif

    // check if this block is starting an include file. This means all definitions go to the
    // including (the current m_block_stack) block -> don't open up a new block !

    if ((parser->m_scanner_stack != 0)
	&& (parser->m_scanner_stack->state == SCAN_START_INCLUDE))
    {
#if DO_DEBUG
	y2debug ("Include !");
#endif
	// now we're inside the include file
	parser->m_scanner_stack->state = SCAN_INCLUDE;
	parser->m_block_stack->includeDepth++;

	return parser->m_block_stack->theBlock;
    }

    // start new block
    // push block on block stack
    blockstack_t *top = new blockstack_t;

    if (parser->m_blockstack_depth == 0)	// initial block
    {
	top->theBlock = new YBlock (parser->scanner()->filename(), YBlock::b_file);
	parser->m_current_block = top->theBlock;
    }
    else					// intermediate block
    {
	top->theBlock = new YBlock (parser->m_current_block->point());
    }
	
#if DO_DEBUG
    y2debug ("YBlock created");
#endif
    // inherit textdomain from outer block
    top->textdomain = (parser->m_block_stack ? parser->m_block_stack->textdomain : 0);
    top->theBlock->setType (type);
    top->includeDepth = 0;
    top->self = 0;

    blockstack_push (parser->m_block_stack, top);
    parser->m_blockstack_depth++;

#if DO_DEBUG
    y2debug ("Push block#%d:%s", parser->m_blockstack_depth, type->toString().c_str());
#endif

    return top->theBlock;
}

static bool parsing_comments()
{
    return getenv("Y2PARSECOMMENTS") != NULL;
}
